VideoMage Producer Overview

Hollix Communications VideoMage Producer™ is a Microsoft Windows® based video capture application designed for superimposing and manipulating graphic images on real-time video from any webcam, Digital Video camera, TV tuner, and even local video files. It gives you extensive control over compression settings used for recording captured video. This manual describes the contents of VideoMage Producer version 0.92.

Graphic images can be superimposed on the real-time video stream, and can be manipulated in a variety of ways, such as fading, resizing, and moving. You can also draw on top of the video image with a telestrator effect. The exact timing of all applied effects is maintained and can be saved for future video capture sessions. Editing tools allow saved sessions to be easily adapted to changing requirements. You can take a snapshot of the video image at any time, including the applied graphics and effects.

The ability of VideoMage Producer to capture and save the complete history of all graphic manipulations makes it easy to apply a standard look to captured video.

A simple example application applies a corporate logo in the lower right corner of video while it is being captured, displays it for five seconds then fades it out over the next five seconds, repeating the process every thirty seconds. This application, described in detail in Adding Graphics Example, is used throughout this manual.

After you complete Installation of VideoMage Producer, you should carefully read the information provided in Getting Started. If you've used VideoMage Producer before, you may want to read What's New to learn about the latest additions to the program.

© 2005 Hollix Communications Inc. All rights reserved.


Obtaining VideoMage Producer

Downloads

VideoMage Producer is available as a free download from the Hollix Communications web site and from many other Internet sites. You can validate the integrity of the download by running a MD5 check on the download and comparing the value with that on the Hollix website.


System Requirements

Operating Systems Supported

  • Microsoft Windows XP
  • Microsoft Windows 2000
  • Microsoft Windows Millenium Edition (ME)
  • Microsoft Windows 98 Second Edition (SE)

Additional Software Modules

VideoMage Producer requires that your operating system include certain software modules from Microsoft which may not be part of the standard Windows installation. Depending upon the upgrades and peripherals that you've added, these modules may already be present on your system. The VideoMage Producer installation script will advise you which of these modules you need to obtain.

The required modules are:

  • GDI+ (if not already installed, you should install this module in the VideoMage Producer installation folder)
  • Internet Explorer minimum version 5.0

While not required for basic operation, Microsoft Windows Media encoders are required for recording in WMV format. This format provides excellent compression and visual characteristics. If not included with your Operating System, these encoders may have been installed with your webcam installation, or as part of a Windows Media Player upgrade. VideoMage Producer provides additional advanced encoding capabilities when Windows Media version 9 and later is installed on your computer. To use Windows Media compression, you must also have Microsoft DirectX 8.0 or later installed on your system. The VideoMage Producer installation process will notify you of any components that must be installed in order to use Windows Media compression.

Processor

VideoMage Producer can be run in non-capture mode with any Pentium class machine running at a minimum of 266 MHz. This allows sessions to be built, but limits video capture choices.

For video capture, processor requirements are primarily dependent upon the video encoding method used, including codecs, frame size, and frame rate (all of which can be set by the user). For best performance, a state of the art processor (3+ GHz) is necessary.

Disk Space

Installation of VideoMage Producer requires a minimum of 2M of disk space, plus any extra may be required by missing software components identified by the installation process. Disk space required for video captured by the application is dependent on the encoding methods selected by the user.

System Memory

Running the application requires a minimum of 64M of RAM, with potentially higher requirements depending on screen size and the number and size of the graphics used by the active session. Additional memory may be required by certain video encoding methods.

Display Device

VideoMage Producer requires use of a monitor set to display at least 16 bit colour.

Video Capture Devices

For video capture sessions, VideoMage Producer supports most standard webcams (typically USB based), Digital Video cameras (typically connected to your computer by IEEE 1394 ("Firewire") cable), and TV tuner devices. Device drivers should be able to provide video streams in RGB24 format (most can).

Sessions can be built without the presence of a video camera.

Video Files

VideoMage Producer can use locally stored video files rather than hardware devices for video input. Files compressed using formats other than those included in standard Microsoft Windows® distributions require that DirectShow compatible video decoders be available on your computer.


What's New

Hollix Communications VideoMage Producer 0.92

What's New in this Version?

Hollix Communications VideoMage Producer version 0.92 introduces the following new capabilities:

  • Support for analog TV tuners as video capture sources (see TV Tuner Devices)
  • Favorite channel management for TV tuners (see TV Channel Preferences)
  • Custom channel tuning for TV tuners (see TV Tuner Preferences)
  • Ability to use pre-recorded video files as video capture sources (see Input Video Files)
  • Digital Video tape control: play, pause, fast-forward, rewind, and stop (see Video Capture Devices, Capture pull-down menu)
  • Ability to maintain configuration data for any number of video capture devices (see Video Capture Devices)
  • Full screen video (see Capture pull-down menu)
  • New Action allowing areas of the screen to be highlighted in different colours and shapes (see Highlight Graphics, Highlight Action)
  • Ability to specify video width and height when recording in Windows Media format (see Video Compression Preferences)


Getting Started

In this section, you will basic information about:
  • Installation
  • Running VideoMage Producer
  • components of the Main Window
  • how to Adding Graphics to Video
  • Recording Video

Please refer to the Limitations and the Known Bugs sections of this document.


Installation Instructions

VideoMage Producer uses a familiar installation procedure. Simply run the executable installation package that you've acquired, and respond to the prompts to customize the installation for your computer.

Note: You must have administrator privileges on your computer to complete the installation process.

When you run the installation, you start with the welcome screen.

Click Next to continue the installation.

At this point, the installation will analyze your system to ensure that it meets the minimum requirements described in System Requirements. You will be advised of any missing components.

You must agree to the VideoMage Producer End User License Agreement before you proceed with the installation. You should read the complete agreement before agreeing to its conditions. Once the installation completes, you will find the text of the agreement under Documents in the installation folder.

Click I accept the agreement, then click Next to continue

The next step of the installation allows you to select the folder where the files required by VideoMage Producer will be stored. You should accept the default folder.

Click Next to continue.

You can choose whether a Start menu entry should be created for VideoMage Producer, as well as the name to be used for that entry. This entry will contain links to run the application, to access its associated documentation, and to uninstall it.

Click Next to continue

You can choose whether an icon for VideoMage Producer should be installed on your desktop.

You can also indicate whether you want Windows to form an association with the .vms file name extension. This allows you to start up VideoMage Producer producer and load a session file by simply double clicking on the session file name in Windows Explorer. This option is highly recommended.

Click Next to continue.

A summary of your choices is displayed. To make any revisions, click Back. Otherwise, to proceed with the actual installation, click Install.

You have now completed installation of VideoMage Producer.

Removing the Application

You can remove VideoMage Producer from your computer using the Add/Remove Programs window in the computer's Control Panel.

Removing the application will remove all of the files copied to your computer during the installation process. Files created by VideoMage Producer will not be removed. Personalized settings are stored in the system registry and will not be removed (see Preferences).

If you created a Start menu entry for VideoMage Producer during the installation process, there will be an Uninstall VideoMage Producer choice under that entry that can also be used to remove the program from your computer.


Running VideoMage Producer

Start Up

As part of the installation script, VideoMage Producer can add a shortcut icon to the your desktop, and a command to your Start menu. Double clicking on the icon, or selecting the VideoMage Producer command on the Start menu will run the application.

If, during the installation of the application, you chose to associate .vms files with VideoMage Producer, then double clicking on a session file will run the application and load the requested file.

Registration

The first time you run VideoMage Producer, you are offered the opportunity to register your copy with Hollix Communications. The registration process will assign you a registration number which is required in order to receive personalized product support from Hollix Communications. Otherwise registration is purely optional.

When completing the registration, you are required to provide only your name and an indication of whether the main use of the software will be for personal or business purposes. The information you provide will be used by Hollix Communications only for product version tracking, and will never be shared with any third party.

Completing the registration process requires an Internet connection so that you can receive the registration number from Hollix Communications.


Main Window

This section presents the main window used by VideoMage Producer. As shown in the figure, the window consists of six main sections which are described below: Video Control, Timeline Window & Controls, Canvas Window, Events Button, Status Bar, and the Seek Bar.

In addition, the application uses a typical pull-down menu system described in detail in Main Menu System.

At the very top of the window, the title shows the name of the session currently loaded. This corresponds to the name of the file that contains the corresponding session definition. In the figure below, the name of the file would be "logo.vms". If the session definition has been altered from what is in the file, an asterisk appears after the name of the session.

Video Control

The three buttons, from left to right, are Record, Pause, and Session Run. When activated, these buttons change colour (they are illustrated above in inactive state). Clicking on one of these buttons toggles its state

Clicking on the Record button begins recording video. If you click on it again, recording will stop. You can also start and stop recording using the Record Start and Record Stop commands on the Capture pull-down menu. To ensure synchronization, you can set a preference to force the Session to start running at the same time as recording starts (see Editor Preferences).

Clicking on the Pause button pauses video recording (like the Record Pause command in the Capture pull-down menu). When paused, the video coming from the video device continues to be updated in the Canvas Window, but nothing more is saved to the capture file until you resume recording by clicking on the Pause button a second time.

Clicking on the Session Run button starts running the Session from the current session time (shown in the Timeline Window and the Status Bar). Clicking again stops the session. The Session can also be started and stopped using the Run and Stop commands on the Session pull-down menu.

Timeline Window & Controls

The Timeline Window provides essential information on the running Session.

The window contains a sliding bar whose right end indicates the current Session time. While the Session is running, the window automatically scrolls to ensure that the current time is always displayed. Red triangular icons indicate the start time of Actions included in the Session. Moving the mouse over one of the triangles pops up a text box showing the type of the Action.

You can zoom in the Timeline to get a more detailed view, or zoom out for a broader view, by clicking on the plus and minus buttons at the end of the window. You can scroll the window left or right by clicking on the buttons at either end of the window.

If you right click the mouse while it is inside the Timeline Window, a pop-up menu is displayed that allows you to change the Session time, insert new Actions, get information on scheduled Actions, and more. For more information, see Timeline Pop-up Menu.

Canvas Window

All mouse-based editing and manipulation of Graphics takes place in the Canvas Window. While the Session is running, scheduled changes to Graphics are displayed here. The Canvas can operate in Video Canvas mode and in Static Canvas mode.

Video Canvas mode is used while recording and when the video feed is providing the background of your editing activity. Static Canvas mode is used when video is not active. In this mode, you have a solid color background. You can specify this colour, and you can choose to apply a layout grid to help with positioning of Graphics.

The size of the Canvas can be either identical or proportional to the video capture frame size, or can be stretched to fill all available space in the main window.

If you right click the mouse while it is inside the Canvas Window, a pop-up menu is displayed that allows you to apply certain Actions to the selected Graphics. For more information, see Canvas Pop-up Menu.

For more information, see Canvas Preferences.

Events Button

When VideoMage Producer issues an Event message, for example when an Action is created automatically, the Events Button changes colour. You can click on this button to open the Event Viewer (this reverts the button to its original colour).

For more information, see Event Viewer.

Status Bar

The Status Bar is divided into three sections. The leftmost section indicates whether VideoMage Producer is in Edit mode or Record mode. The rightmost section displays on-going status information. The contents of the middle section depends on the location of the mouse.

If the mouse is in the Timeline window, the middle section of the Status Bar will show the Session time at the mouse position. This can be particulary useful for inserting new Actions using commands on the Timeline pop-up menu.

When the mouse is in the Canvas window, the middle section of the Status Bar shows the mouse position in either pixel coordinates or relative coordinates (set in Editor Preferences). Regardless of the type of coordinates, position [0, 0] always refers to the upper right corner of the Canvas. In relative coordinates coordinates, the bottom right corner of the Canvas corresponds to position [1.000, 1.000].

Seek Bar

When you use a file as the video source, an additional item is displayed on the Main Window just below the video window.

This Seek Bar always shows the current position in the file, with time increasing from left to right. While previewing a file, you can use the Seek Bar to change the current position in the file (see Video Files for more information).


Adding Graphics to Video

A Session is a series of Actions which manipulate Graphics overlaid on the captured video. It can be created using a static background or using an actual video feed (see Canvas Preferences). The Actions can be prescheduled, or can can be created "on the fly" while video is being recorded.

VideoMage Producer provides you with a large selection of mechanisms for manipulating Graphics to create a Session. The most common are described below. You can edit Sessions with the Session running or halted. For more information on these and other techniques, see Graphics, and Actions.

Session Description Files

You begin creating a Session by selecting the New command from the File pull-down menu. You can also add to an existing Session after loading it using the Open command.

When you finish editing, you can save the Session for future use or subsequent editing using the Save command on the File pull-down menu.

Adding Graphics to a Session

There are two typical ways to introduce Graphic images into a Session.

The easiest way is using the Open command on the File pull-down menu. This method positions the image in the upper left corner of the Canvas, using its full size. Other display characteristics (see Display Action) are based on defaults specified in Actions Preferences.

Graphics can also be added by clicking the New button in the Graphics dialog. This multi-step method, described in Adding Graphics Example, allows complete specification of all initial display characteristics.

Selecting Graphics to be included in Actions

For mouse-based manipulation, the Graphics to be manipulated have to be selected. This is done in the normal way by either left clicking on the desired Graphic, or by pressing the left mouse button in an empty area, and dragging the mouse to draw a rectangle around the desired Graphics.

Pressing the Control key at when clicking on a Graphic toggles its state: selecting it if not already selected, and unselecting otherwise.

If you are manipulating Graphics while recording, you may not want the Graphics to show as selected in the output file. You can turn off selection markers with the Indicate Select command on the Session pull-down menu.

Moving and Resizing Graphics

The most common operations are changing the position and size of Graphics. To perform these, and most other Actions, the Graphics to be included must be selected, as described above.

To create a Move Action, position the mouse over a selected Graphic so that the cursor shape changes to a cross, press the left mouse button, move the mouse (which drags the selected Graphics) until the Graphic is in the desired location, then release the mouse button. You can also create a Move Action using the arrow keys on your keyboard. Pressing any arrow key will move the selected Graphics in the specified direction. Graphics will be moved more quickly if the Control key is pressed at the same time as an arrow key.

To create a Resize Action, position the mouse over one of the select markers on a selected Graphic so that the cursor shape changes to a bi-directional arrow, press the left mouse button, move the mouse (which resizes the selected Graphics) until the Graphic has the desired size, then release the mouse button.

Clipboard Operations

You can easily create copies of existing Graphics using the the Cut, Copy, and Paste commands available on the Edit pull-down menu.

Cut creates and executes an Erase Action for the selected Graphics. Unlike the Delete command, the erased Graphics and their display characteristics are placed in the clipboard, so that you can Paste them back into the Session.

The Copy command copies the selected Graphics and their display characteristics into the clipboard, so that you can duplicate them with the Paste command. The appearance of the Graphics on the Canvas is not altered.

Paste creates and displays (using a Display Action) duplicates of all the Graphics added to the clipboard by the last Cut or Copy command. All display characteristics of the originals (such as size and opacity) are duplicated. Every pasted Graphic is assigned a unique, automatically generated, ID based on the ID of the Graphic in the clipboard.

Scheduling Actions

The current Session time is always displayed graphically in the Timeline window. You run the currently loaded Session by clicking on the Session Run button or by selecting Run from the Session pull-down menu.

While running, the Session time continuously increases (until a Reset Action is executed), and all previously created Actions are executed at their scheduled time.

By default, all Actions that you create are assigned an execution time corresponding to the Session time at their creation. You can create Actions both while the Session is running, and while it is stopped. Some Actions are limited in flexibility if they're created while the Session is running.

To change the session time, move the mouse inside the Timeline window to the desired time (the middle box of the Status Bar at the bottom of the Main Window will display the precise time under the mouse). Then click the right mouse button to access the Timeline pop-up menu and select Set Session Time.

Reversing Changes

You can correct changes you've made using the Undo command found on the Edit pull-down menu. Naturally, the change can be restored using the Redo command. However, if you Undo a change, and then make a new change, you cannot recover the previously reversed change using the Redo command.

When the execution of a scheduled Action includes a Graphic that you've selected, VideoMage Producer will automatically adjust the Action to remove the selected Graphic. Depending on the type of the scheduled Action, the adjustment may include changing the Action, or creating a new Action, or both. These changes can also be undone using the Undo and Redo commands.

The number of changes that can be recovered can be specified in the Preferences window. See Editor Preferences for more information.


Adding Graphics Example

A Session is a series of Actions which manipulate the Graphics overlaid on the captured video. It can be created using a static background or using an actual video feed (see Canvas Preferences).

Using a combination of mouse-based Graphic manipulation and the Actions and Graphics dialogs, we can create a Session that can subsequently be applied over a real-time video stream. Although it's not necessary, you may choose to create a Session using live video as your canvas (see Video Canvas on the Session pull-down menu).

To illustrate the essentials of adding Graphics to video, this section will describe the steps required to build a simple Session. You may want to duplicate the described steps in order to familiarize yourself with the basics of how VideoMage Producer operates. For more information on the tools and techniques used in this example, and a description of additional tools, see Graphics and Actions.

The example Session will initially display a Graphic over the entire canvas, then will quickly shrink it into the lower right corner. After that, the Graphic will fade out, remain invisible for a period of time, then fade back in. Fade out and fade in will then repeat until the session is stopped.

Creating the New Session

Step 1 | To create a new Session, open the File pull-down menu, select New, and then select Session from the resulting pop-up menu. The canvas is cleared, the timeline is cleared, the session is stopped (if running), and the session time is set to zero.
Step 2 | Before proceeding any further, we verify that we've enabled Scale Graphics on Window resize in the Editor Preferences (available from the Preferences command on the Session pull-down menu). This setting ensures that the relative size and position of Graphics in the session won't change when we resize the Main Window or if the Session desciption file we're going to create gets loaded to a different window size.

Adding the Graphic

There are two ways of inserting an image into a Session. In this example, we will do it using commands available from the Graphics Dialog. This will allow us to set all display characteristics of the Graphic before it is displayed on the Canvas.

The alternative method of adding an image to a Session is by selecting Open on the File pull-down menu, and then Graphic from the resulting pop-up menu. A standard file selection dialog is displayed, from which you choose the graphic file to open. This Graphic is automatically positioned in the upper left corner of the canvas using its natural size. with other display properties using defaults that you set in the Actions Preferences dialog.

Step 1

To add the image to the Session, open the Graphics dialog by selecting Graphics on the Session pull-down menu.

Step 2

In the Graphics dialog, click the New button. This enables the Identifier, Source File, and Browse (...) buttons.

Step 3

Click the Browse button. This opens a standard file selection dialog, where we navigate to the folder containing our source graphic file, which we then select, then click Open. The file selection dialog disappears, and the chosen file name and path appears in the Source File field.

An Identifier is automatically generated for the Graphic based on the source file name. This identifier is used to refer to the Graphic during various Session creation operations.

The graphic file we use in the example is "C:\My Documents\My Pictures\logo.png", and the generated Graphic identifier value is "LOGO".

Step 4

Click the Apply button. This adds the Graphic identifier into the list of Graphics on the left side of the Graphics dialog, and enables the Display button.

Step 5

Click the Display button. This presents the display parameters that will be used to populate the Display Action.

The Rel Size values represent the horizontal and vertical proportions of the current canvas size required to display the graphic image with its natural size. But we want the Graphic to fill the entire canvas, so we set both values to 1.0.

The Rel Position of the Graphic is always initially set to [0, 0] which positions the Graphic in the upper left corner. This is what we want for our example, so we leave those values untouched.

The initial values of the Region Style settings are the defaults specified in the Actions Preferences dialog. We want the Graphic to be as large as possible, while maintaining its original proportions, so we set the Fit value to Stretch to Max, the Horizontal Layout to Center and the Vertical Layout to Middle. We set the Fill Colour to 0xFF800080, which is an ARGB value for fully opaque purple. The source image we're using contains transparency so the Fill Colour will be seen through the Graphic in addition to being used for Region padding.

Step 6

Click the OK button to create the Display Action. An Action icon is displayed in the Timeline window at time zero, and the canvas shows the result of the executed Action.

Changing the Graphic's Background

After displaying the Graphic full screen for 1.5 seconds, we want to change the its background Fill Colour to fully transparent, so that the underlying video image can be seen through the Graphic.

Step 1

To set the session time, we move the mouse in the Timeline window until it is positioned at 1.5 seconds (the middle box of the Status Bar at the bottom of the Main Window will display the precise time under the mouse). When the mouse is positioned at 0:00:01.5, click the right mouse button to access the Timeline pop-up menu and select Set Session Time.

Step 2

To change the Fill Colour we need to create a new Display Action for LOGO. The quickest way to do this is to position the mouse over the LOGO Graphic, right click to access the Canvas pop-up menu, then select Graphic Properties. The Graphics dialog appears, with LOGO selected and displaying its current properties.

Step 3

Change the Fill Colour to 0x40800080, which is an ARGB value for highly transparent purple (the Graphic's fill colour for the rest of the Session). With graphic images containing transparency, such as LOGO, It is often visually preferable to use a fill colour with some level of opacity rather than using a fully transparent background.

Click OK. A new Display Action appears in the Timeline at the new session time, and the canvas is updated to reflect execution of that Action.

Resizing the Graphic

Step 1

We set the session time to 2.0 in preparation for creation of the next two Actions, where we will use the mouse to resize and move the Graphic.

Step 2

Select the Graphic by left clicking on it.Green selection markers appear along each edge of the Graphic. When you move the mouse over one of the markers, the shape of the cursor changes to indicate the directions in which you can resize the Graphic. When the mouse is positioned over a selected Graphic (but not over a marker), its shape changes to a cross, indicating that the Graphic can be moved.

Step 3

Position the mouse over the marker on the bottom right of the Graphic (its shape changes to point Northeast and Southwest). Press the left button, and while pressing, reposition the mouse until the Graphic has the desired new size, then release the button. A Resize Action is created at the current session time.

If Snap-To is enabled in your Editor Preferences, there may be a small adjustment to the new size after you release the mouse button.

Moving the Graphic

Step 1

To reposition the selected Graphic, move the mouse on to it (so that the mouse's shape changes to a cross), press the left mouse button, and while pressing, move the mouse until the Graphic is in the desired location. Then release the mouse creating a Move Action at the current session time.

In our example, we move LOGO to the bottom right of the canvas.

Changing Resize and Move Duration

In the previous steps, we created instantaneous Graphic resize and movement. But for our presentation, we want the Graphic to appear to grow and shift over a period of time.

Step 1 | Open the Actions dialog by selecting Actions on the Session pull-down menu.
Step 2 | Select the Resize Action from the list of Actions on the left side of the dialog. The parameters for this Action then appear. We change the Duration value from 0 to 1 second. Click Apply to update the Action parameters.
Step 3 | Now select the Move Action from the Actions list, and change its Duration to one second also. Click OK to close the Actions dialog

Verifying the Changes

When you changed the Duration values for the Resize and Move Actions, the appearance of the Graphic changed on the Canvas (it looked like it did before the Resize and Move Actions were created). This is because the original Actions, with their zero Duration, executed to completion immediately, whereas the new Actions require the next one second of session time to complete, so have barely begun their changes.

Unselect the Graphic (if the mouse is over the Graphic, unselect it by clicking the left mouse button while pressing the Ctrl key, or if the mouse is in the canvas but not over the Graphic simply click the left mouse button), then click the Session Run button to see the effect of the duration changes. Click the Session Run button a second time to stop the session.

If the session had been running when we created the Resize and Move Actions, Sequence Actions would have been created in their places. The resulting resizing and repositioning during playback would have exactly duplicated the speed and motion of our mouse movements.

Fading Out the Graphic

We want to leave the Graphic normally displayed on the Canvas until five seconds into the Session, then we want to gradually fade it out until it's no longer visible.

You can create a Fade Action for selected Graphics by scrolling the mouse wheel, or you can use the Tools window to create a Fade Action with a specific duration. We'll use the Tools window for more precise control.

Step 1

Set the session time to 5.0 seconds.

Step 2

Open the Tools window by selecting Tools from the Tools pull-down menu.

In the Fade Action section of the Tools window, select Fade to, set Percent to one, and set the Duration to 5 seconds. After ensuring that the LOGO Graphic is selected on the canvas, click the Fade button.

A Fade Action has appeared on the Timeline, but the canvas remains unchanged because of the non-zero duration of the new Action. Unselect the Graphic and run the session for a few seconds to see the effect of the Fade Action.

Fading In the Graphic

We want the video recording we intend to make using the Session to run for the next twenty seconds showing just the source video, then we'll fade the Graphic back into view.

Step 1 | Set the session time to 30 seconds (to get there, you may have to scroll the timeline using the arrow at its right end).
Step 2 | Ensure the Graphic is selected (you should see only its selection markers). If it's not selected, select it by clicking where you suspect it's located, or type Ctrl-A to select all Graphics (it's the only one in the session).
Step 3 | In the Fade Action section of the Tools window, set Percent to 100, and leave the rest of the fields as before. Click the Fade button to create this second Fade Action.

Looping Forever

Five seconds after the Fade Action created in the preceding step has executed, the Graphic will once again be displayed with one hundred percent opacity. At that point, we choose to leave it displayed with full opacity for the next five seconds (until the session time hits forty seconds). From then on, we want to the Graphic to repeatedly fade out and fade in for the remainder of the recording.

Step 1

Set the session time to forty seconds.

Step 2

From the Timeline pop-up menu, select Insert Reset, then Session Time from the resulting pop-up menu. A Reset Action appears on the timeline.

Step 3

When you create the Reset Action in the previous step, it took its settings from the Actions Preferences. For our purposes, we need to refine or change these settings, so right click the mouse on the Reset Action's icon on the timeline and select Action Properties to access its settings.

Ensure that Reset Time to is selected, and change the time value to 0:00:05.0. (recall that we began to fade out the Graphic at that time).

Click OK to apply the change to the Action.

Step 4

Creation of the Session definition is complete. We need to run it from beginning to end to ensure we're satisfied with it.

From the Session pull-down menu, select Restart to set the session time back to zero, then click the Session Run button. You can increase the session's running speed by using the Time Rate command on the Timeline pop-up menu.

You'll notice that every time the session resets back to the five second mark, an event notification is generated that lights the Event button in the bottom left of the main window.

Save the Session Description to a File

Now that we're satisfied with the Session definition, we select the Save Session As command from the File pull-down menu, and a file name for the session.

A ".vms" extension will be automatically appended to the file name if you don't provide your own extension. If you selected the appropriate option during Installation process, double clicking on a file name with a ".vms" extension will automatically load the file into a new instance of VideoMage Producer.

You can see the contents of the file created by this example in Session File Format.


Recording Video

This section will explain the steps required to use VideoMage Producer to record video from a video capture device or pre-recorded file.

You can apply a previously created Session to the video stream with the results included in the output file (see Adding Graphics Example). You can also use the Action creation tools to create a Session and record the result simultaneously in real-time. VideoMage Producer can also be used for simple video capture (no Session).

Video capture and compression can place very high performance demands on your system. You may want to follow some of the recommendations listed in Performance Guidelines.

Select Capture Devices

When VideoMage Producer starts up, it detects all video and audio capture devices connected to your computer. If there is only a single camera and a single microphone, they will automatically be selected for use. If you have multiple devices, you will have to use the Device Preferences dialog to set which camera and microphone you want to use. Your device preferences will be remembered for the next time you use VideoMage Producer.

For recording, you may want to select both video and audio capture devices (DV cameras incorporate both). If you're using a pre-recorded video file as the video source, of course you don't need to select any capture devices.

Specify A/V Compression

Video capture files created by VideoMage Producer can be compressed in a variety of ways (see Compression Preferences). Default compression settings are provided, which are not be suitable for all purposes and environments. If you choose to customize the compression settings, your choices become the defaults for future recordings.

If you've chosen a form of non real-time compression, a Temporary File will be used to capture the video session (see Recording Preferences). When recording stops, the Temporary File is used as the source for creation of the compressed output file.

Load a Session File

To use a pre-defined Graphics manipulation script during recording, load the Session file from the File pull-down menu, select Open, and then select Session from the resulting pop-up menu. This presents you with a standard file selection dialog from which you can select the name of the file to load. As an alternative, if you chose to associate the ".vms" file name extension with VideoMage Producer during the Installation process, double clicking on a session file in a Windows Explorer window will start up VideoMage Producer and automatically load the specified file.

When a Session is loaded, the timeline is updated to display all scheduled Actions in the Session, the session time is set to zero, and all Actions scheduled for time zero are executed (with the result being displayed on the canvas).

Begin Recording

If you've specified a default file name to be used for recording, you can begin recording either by clicking on the Record button in the Video Control section of the Main Window or by selecting Record Start from the Capture pull-down menu. For more information on default file names, see Recording Preferences.

You can explicitly chose an output file for recording. From the File pull-down menu, select New, then choose Capture File from the resulting pop-up menu. This will present you with a standard file selection window, from which you can choose an existing file (which will be over-written), or enter a new file name. If you don't enter a file name extension, VideoMage Producer will append ".wmv" if the output file will be compressed using Windows Media, ".avi" is used otherwise. Recording begins as soon as you specify the output file name.

If no video source is active, VideoMage Producer will use your default devices as the capture sources (see Device Preferences). Otherwise the current video source is used. If the current source is a file, it is rewound to the beginning before recording begins. To open a video file and begin recording it immediately, check the Start recording now box in the file selection dialog.

You can ensure that Session execution begins as soon as recording starts by enabling Lock Session to Record State from the Editor Preferences. While recording, you can continue to independently start and stop Session execution, and there's no need to start recording at time zero in the Session.

You can continue to add and manipulate Graphics while recording. For mouse based manipulation, you may not want the Graphics to show as selected in the output file. You can turn off selection markers with the Indicate Select command on the Session pull-down menu.

While recording, the Record button is lit.

Pause Recording

You can pause recording by clicking on the Pause button, or by selecting Record Pause on the Capture pull-down menu. While paused, live video continues to stream to the Canvas, but nothing is written to the output file.

While recording is paused, the Pause button is lit. Clicking on it (or selecting Record Pause) while it's lit will turn it off and resume recording to the output file.

Recording is automatically paused if you open either the Graphics Dialog or the Actions Dialog. If your video source is a DV tape, you may want to pause if you use Fast-Forward or Rewind while recording.

You cannot pause recording if the video source is a pre-recorded file.

Stop Recording

You stop recording by clicking on the Record button while it's lit, or by choosing Stop Recording from the Capture pull-down menu.

If you chose any form of non real-time compression, the temporary file that was used for video capture is compressed to create the output file you requested. A progress bar keeps you informed about the stage of the compression.

Review

After a recording has been created, you can view its contents by selecting the Review command from the Capture pull-down menu. This command uses your system's default video player.


Event Viewer

The Event Viewer is a window that displays asychronous notifications generated by the application. Unlike error messages that are displayed in a pop-up window whenever they occur, notifications are mainly informational and don't require that you take any particular action. For example, a notification will be issued if no audio or video capture devices are detected when the program starts up.

You open the Event Viewer by clicking on the Event Button (in any state), or by selecting the Event Viewer command from the Help pull-down menu. Clicking the button or selecting the command while the Event Viewer window is open will close it.

When a notification is issued by VideoMage Producer, it will normally light the Event Button displayed on the Main Window. Opening the Event Viewer turns off the button light. If the Event Viewer is currently open, new notifications will not light the Event Button, but will simply be added to the end of the list.

You can control whether certain event notifications are issued or not from the Application Preferences window.


Video Capture

When the Video Canvas mode is in use, either for editing or recording, the background for your manipulation of Graphic images is provided by one of a number of possible video sources. These sources can be either live (such as webcams and TV tuners), or pre-recorded (such as video files stored locally on disk, or on tape in your DV camcorder).

This section describes how to use the different types of video source:

  • Video Cameras
  • Video Files
  • TV Tuner Devices

For additional information, see Recording Video with Session Playback.


Video Capture Devices

VideoMage Producer supports a wide variety of audio and video capture devices, including webcams, DV cameras, and video tuners.

On initialization, all available audio and video capture devices are detected. If the devices used in the previous session are still present they will be selected. Otherwise, VideoMage Producer will select devices for you.

You can select the devices you want to use from the Device Preferences dialog.

Digital Video Devices

VideoMage Producer supports most Digital Video (DV) cameras as capture devices. These devices typically connect to your computer via IEEE 1394 ("Firewire") cable. You can use pre-recorded or live video from your DV camera as the background Video Canvas for VideoMage Producer.

When you select a DV camera as the Video source, no selection of Audio source is required as the DV stream includes an audio component.

If a tape is detected in your DV camera, playback will automatically be synchronized with the Record commands available from the Capture pull-down menu, so that when you begin recording, playback of the DV tape will automatically be started for you. While you are editing, without recording, you can manually control playback of the tape using the Playback commands available from the Capture menu.

Video Tuners

Video tuners supported by VideoMage Producer can be either internal to the computer (normally a dedicated card or as part of the Video Graphics card) or external (connected via USB or Firewire).

Tuners typically support multiple types of input, such as antenna and cable based television, composite and S-Video, and more. You select the appropriate input using the Device Preferences dialog. TV tuner support is described in TV Tuner Devices.

The signal path used for audio streams depends on the type and manufacturer of the tuner. For correct operation with VideoMage Producer, you must ensure that the appropriate Audio device is enabled. Please refer to the documentation for your particular tuner.


Input Video Files

VideoMage Producer allows you to overlay and manipulate Graphics on video from a media file located on disk, while playing (and possibly re-compressing) the file.

To open a file, select Open File from the Open command on the File pull-down menu. The file will begin playing immediately.

When you play a file, a Seek Bar appears just below the video window. This always shows the current position in the file, with time increasing from left to right. While previewing the file, you can use the Seek Bar to change the current position in the file.

Preview

While previewing a video file (without recording), you can use the Playback commands available from the Capture pull-down menu to Pause or Rewind the file. When the end of the file is reached, it will automatically be rewound to the beginning and playback will pause. You can play it again by selecting the Play Playback command.

You can use the Seek Bar to move about in the file, both while the file is playing and while it is paused. Clicking the left mouse button at any point on the bar will change the current position in the file to that relative point (the left end of the bar corresponds to the beginning of the file, and the right end corresponds to the end of the file). You can also drag the current position indicator to the desired relative position in the file.

Changing the current position in the video source file has no effect on the Session time.

To close the file and revert to Static Canvas, use the Stop Playback command, or the Video Canvas toggle command on the Session pull-down menu.

Recording

To begin recording as soon as the file is opened, check the Start Recording now box at the bottom of the file selection window. If no default output file name has been specified in your Recording Preferences, you will be prompted for an output file name before playback of the video file begins.

To begin recording while a file is being played, click the Record button, or select the Record Start command from the Capture pull-down menu. The file will be rewound to its beginning before recording commences.

When the end of a video file is reached, recording is automatically stopped, and file playback reverts to preview mode.


TV Tuner Devices

VideoMage Producer gives you control over internal and external TV tuners connected to your computer, allowing you to superimpose Graphics while you watch and record your favorite shows.

To select a TV tuner as your video source, use the Device Preferences dialog. Many general purpose video capture devices require that you select from among a number of different input corresponding to different physical input jacks on the device. A TV tuner input is identified as a Video Tuner.

Depending on the capture device that you use, you may have to enable a Line In or other input on the Audio source that you select in the Device Preferences dialog. Please refer to the documentation for your TV tuner device.

Configuration

Basic configuration of the TV tuner, such as switching between cable and antenna (or over-the-air) tuning is done from the TV Tuner Preferences dialog. Use the TV Channel Preferences to manage your favorite channels (the default settings make all channels available). When first installed, VideoMage Producer assigns names all channels using a simple number scheme; using the TV Channel Preferences dialog, you can assign better names (such as WXYZ or BBC-1) to any channel. If you have more than one TV tuner installed in your computer, the same preferences will be applied to all.

Changing Channels

While viewing, you can change channels by selecting Channel Up or Channel Down from the TV Tuner sub-menu found on the Capture pull-down menu. These commands can be quickly accessed by simply hitting the Ctrl+Shift+Up or Ctrl+Shift+Down key combinations respectively. These commands are used to cycle through only the channels chosen as favorites in your TV Channel Preferences.

To go directly to a specific channel, use the TV Control dialog available from the TV Tuner sub-menu of the Capture pull-down menu.

From this window, you can directly type in the name of the channel you want to view. This can be any channel, whether or not you've set it as a favorite. Or you can rapidly scroll through the list to find the one you want. When typing a name, the name must be a perfect match. Clicking the Previous button will return you to the channel you were viewing before your last change.

If the channel you're viewing offers a Secondary Audio Program (for example, a different language for the program you're watching), you can select SAP to switch audio programs.

When you've finished with the TV Control window, click OK to accept the new channel, or Cancel to return to the original channel. While using a TV source, you can always check the current channel using the Session Summary command available on the File pull-down menu.


Video Recording

This section provides you with detailed information that will help you make the right choices for using VideoMage Producer to capture live video to a file, including:

  • Video Compression
  • Recording Guidelines

For a step-by-step guide to using VideoMage Producer to capture video, see Recording a Session.


Video Compression

VideoMage Producer can generate highly compressed video capture files using audio and video codecs already installed on your computer. Both AVI and Windows Media Video (WMV) formats are supported.

WMV is generally able to provide much higher compression, but if you are using an earlier version of the Windows operating system, the required codecs may not be available on your computer. Normally they are installed along with the drivers for your webcam or with installation of a recent version of Windows Media Player.

If Windows Media Version 9 or later is installed on your system, VideoMage Producer gives you access to Fine Tuning controls that allow you to precisely specify exactly the form of compression that suits your needs.

For more information, see Video Compression Preferences.

Compression Choices

Overall, VideoMage Producer allows you to select from eleven different forms of compression: four forms of real-time compression, and seven forms of non real-time compression.

Real-time compression compresses captured video as it occurs, but may put large demands on your computer's processor. The following forms of real-time compression are supported:

  • WMV System-defined Profile
  • WMV Fine Tuning: Constant Bit Rate (CBR)
  • WMV Fine Tuning: Quality-based Variable Bit Rate (VBR)
  • AVI

Non real-time compression uses a temporary file to store video in uncompressed AVI format as the video is captured. When recording is completed, VideoMage Producer will compress the captured file using the compression settings you have chosen. This form of compression gives you more flexibility and can produce better quality files. Depending on capture device settings (see Device Preferences), creation of the temporary file may require that your file system support high bandwidth throughput. The following forms of non real-time compression are supported:

  • WMV System-defined Profile
  • WMV Fine Tuning single pass: CBR, Quality-based VBR
  • WMV Fine Tuning two pass: CBR, bandwidth constrained VBR, unconstrained VBR
  • AVI

WMV System-defined Profiles

Normally when you use Windows Media encoding, you select from among encoding profiles that are available on your system. Each profile encodes audio and video using predefined parameters, such as bitrate and frame size, which are essentially independent of the capture device settings.

WMV Fine Tuning

When you use Fine Tuning for Windows Media encoding, you must select both the audio and video formats you will use for Windows Media compression. Where duplicate audio formats are available, you should select the one that is described as "A/V", as it is designed for correct synchronization with video streams.

When you choose this form of video compression, the frame size used in the compressed file will be the same as used by the video capture device.

When you select two-pass VBR, you specify the overall average bitrate that will be used by the compressed file. With constrained VBR, bandwidth may momentarily attain a maximum that you specify (typically two to three times the average bitrate). With unconstrained VBR, there is no maximum momentary bitrate.

For Constant Bit Rate encoding, files that are encoded in a single pass are generally less efficient than those encoded in two passes. With Variable Bit Rate encoding, single pass (quality-based VBR) produces more consistent quality than two-pass (bitrate-based VBR) encoding.

AVI Format

You should only choose AVI format compression if you have a good reason to do so (such as the absence of Windows Media codecs on your system, or the possibility that the compressed file will be played on a system where Window Media is unavailable).

There may be a wide variety of AVI audio and video codecs installed on your computer. Not all of them will be suitable for use with VideoMage Producer, nor will all combinations of audio and video codecs. If you decide to use AVI compression, you should select the combination of audio and video codecs carefully.


Recording Guidelines

VideoMage Producer makes it easy to manipulate the content of a session while recording. While most changes are captured as events, and can be saved as a session for future use, it is possible to make a recording whose session cannot be duplicated by the saved session file.

In order to ensure that the captured video file matches the session created, the following guidelines should be followed while recording:

  • always record with normal session time rate
  • always start recording with the session timer set to zero
  • do not manually change the session time
  • do not "undo" any events already executed
  • do not change or delete any events already executed
  • do not add events at a session time earlier than current time

For more information, see Performance Guidelines, Adding Graphics to Video, Actions.


Menu System

VideoMage Producer uses a standard pull-down menu system:

  • Main Window Menus
and two context sensitive pop-up menus:
  • Canvas pop-up menu
  • Timeline pop-up menu


Main Window Menus

VideoMage Producer uses a typical pull-down menu system from which you have access to most of the commands available in the application. There are six pull-down menus: File, Edit, Tools, Session, Capture, and Help.

Many of the commands in the Main Window pull-down menus have been assigned hot-key combinations.


File Pull-down Menu

New

You can choose to create a new session, or to create a new capture file.

When you create a new session, all Actions and Graphics that were active are erased and the Session time is reset to zero, giving you a clean canvas. You give the session a name by using the Save Session As command.

When you choose to create a new capture, you will first be prompted for the file name to use. This is an alternative to using the automatic naming that you specify in the Recording Preferences window.

Open

You can choose to open an existing Session file, or to open a video file for playback (and re-compression), or to open a Graphic file.

When you open a Session file, all Actions and Graphics that were active are erased and the Session time is reset to zero. The name of the new session will be added to the window's title.

When you open a file for playback, the it is displayed on the Canvas, and all Graphic manipulations are superimposed on the video contained in the file. For more information, see Input Video Files.

If you choose to open a Graphic file, it will be loaded directly into the active session using a Display Action using default parameters set in Actions Preferences.

Save Session

Saves the complete session, using its current name, for future editing or playback.

Save Session As

Saves the complete session, using a new file name, for future editing or playback.

Session Summary

Displays a summary of the environment, including the number of active Graphics and Actions defined in the session, the media sources (devices or video file), the active TV channel, and the current recording destination and compression settings.

Snapshot

Saves (grabs) an exact copy of the current canvas image to disk using a file format that you choose. The dimensions of the image in the created file will match the current canvas window size (for a Static Canvas snapshot), or the current video capture frame size (for a Video Canvas snapshot).

Exit

Closes the VideoMage Producer application. If video is currently being recorded, you will be asked if you want to keep the recording. If the current session has been changed, you will be given a chance to save it.

For more information, see Adding Graphics to Video.


Edit Pull-down Menu

Undo | Reverses the last change made to the session (including both changes made by the user and changes made automatically by the application). The maximum number of reversible changes can be set in the Editor Preferences.
Redo | Reapplies the last change removed by the Undo command.
Cut | Creates and executes an Erase Action for the selected Graphics. Unlike the Delete command, the erased Graphics and their display characteristics are placed in the clipboard, so that you can Paste them back into the Session.
Copy | Copies the selected Graphics and their display characteristics into the clipboard, so that you can duplicate them with the Paste command. The appearance of the Graphics on the Canvas is not altered.
Paste | Creates and displays duplicates of all the Graphics added to the clipboard by the last Cut or Copy command. All display characteristics of the originals (such as size and opacity) are duplicated. Every pasted Graphic is assigned a unique, automatically generated, ID based on the ID of the Graphic in the clipboard.
Delete | Creates and executes an Erase Action for the selected Graphics. Unlike the Cut command, the Graphics are not placed in the clipboard. Howver, they can be redisplayed by manual inclusion in a Display Action created using the Actions Dialog or the Graphics Dialog.
Select All | Selects all Graphics currently displayed on the Canvas.


Tools Pull-down Menu

Align | Aligns all selected Graphics to the specified point, see Align Action. Like the other Action commands in the Tools pull-down menu (Arrange and Swap), this command is also available from the Canvas Pop-up Menu.
Arrange | Brings all selected Graphics to the foreground, or sends them all to the background, or moves them incrementally in one of those directions. For more information, see Arrange Action.
Fade | Fades in or fades out all selected Graphics by the same amount. The change in opacity is equivalent to the minimum obtained by rotating the mouse wheel. Where possible, multiple invocations of this command are combined into a single Fade Action. For more information, see Fade Action.
Swap | Swaps display characteristics of two selected Graphics, see Swap Action.
Highlight | Toggles the mouse in to and out of Highlight Mode for highlighting areas on the Canvas, see Highlight Action and Tools Dialog window.
Doodle | Toggles the mouse in to and out of Doodle Mode for creating freehand drawing on the Canvas, see Doodle Action and Tools Dialog window.
More Tools | Pops up the Tools Dialog which gives you quick access to other Action creation commands and settings. The Tools Dialog also provides access to full capabilities for the HighLight Action and the Doodle Action. If the Tools Dialog is open, selecting More Tools from the Tools pull-down menu will close the window.


Session Pull-down Menu

Run

Starts (or resumes) running the Session from the current time (shown in the Timeline window). If there is a Reset Action scheduled earlier than the current time, it will be executed.

Unlike the recording commands described below, there is no linkage between the Session state commands (Run, Stop, and Restart) and the state of the Recording.

This command has the same effect as clicking the Session Run button in the Video Control area of the Main Window.

Stop

Stops the running Session, freezing the current time.

Restart

Sets the Session time back to zero. If the Session is running when this command is selected, it continues running from time zero.

Graphics

Opens the Graphics Dialog so that you can add and remove Graphics to and from the Session, and examine and alter the display characteristics of any Graphics currently included in the Session.

Actions

Opens the Actions Dialog so that you can add and remove Actions to and from the Session, and examine and alter the parameters of any currently defined Actions.

Video Canvas

Toggles between Video Canvas and Static Canvas. Switching to Static Canvas while you are recording to a file will end the recording.

Indicate Select

Toggles display of selection markers. While selection markers are off, you can still select and manipulate Graphics normally.

Preferences

Opens the Preferences Dialog.


Capture Pull-down Menu

Record Start

Begins recording the session to the Default File that you specified in the Recording Preferences. If you start recording while in Static Canvas mode, VideoMage Producer will automatically switch to Video Canvas Mode.

You can ensure that the Session begins running at the same time by selecting Lock Session to Record State from the Editor Preferences.

This command has the same effect as initiating recording using the Record button in the Video Control area of the Main Window.

Record Pause

Pauses recording to the output file. While paused, video streaming continues and the Session can be run. This command has the same effect as clicking the Pause button in the Video Control area.

Note: Record Pause is not supported on all systems.

Record Stop

Stops recording and closes the output file. If Real-time Compression wasn't selected from the Video Compression Preferences, a post-processing compression stage will follow the end of recording.

This command has the same effect as ending recording using the Record button in the Main Window.

Review

Allows you to review the last completed recording, using your preferred video player.

TV Tuner

When your video source is a TV tuner, this command gives you access to a sub-menu that allows you to rapidly change to the next higher or next lower channel (these commands are also available as hot-key combinations). The sub-menu also gives you access to the TV Control dialog (see TV Tuner Devices for more information).

Playback

When your video source is a file or a DV tape, this command gives you access to a sub-menu that allows you to play, pause, stop, and rewind the source (fast-forward is also available for DV tapes only). If the source is a file, these commands are only available while previewing the file, and are not available while recording.

Full Screen

When a video source is active, this command forces the Canvas to use the entire screen. Use the Alt+Enter hot-key combination to switch back into windowed mode.

Note: When Full Screen mode is active, other windows and dialogs cannot be accessed, so commands and Graphic manipulations must be done using the mouse and hot-key combinations.


Help Pull-down Menu

Help Topics | Displays the VideoMage Producer help file.
Codec Information | Creates a text file containing a description of all audio and video codecs and system compression profiles available on your system. Not all of these are suitable or available for use in VideoMage Producer. For more information, see Video Compression, Video Compression Preferences.
Event Viewer | Opens the Event Viewer. This command has the same effect as clicking the Events button in the Main Window.
Registration | If your installation of VideoMage Producer has been registered with Hollix Communications, this command will display the registration number. This number is required in order to receive personalized product support from Hollix Communications. If you've not registered yet, this command will display the registration dialog (see Running VideoMage Producer).


Canvas Pop-up Menu

Clicking the right mouse button while the mouse is located in the Canvas area brings up a menu that offers a number of commands for applying Actions to the selected Graphics.

Align

Aligns all selected Graphics to the specified point (see Align Action). This command is also available from the Format pull-down menu.

Arrange

Brings all selected Graphics to the foreground, or sends them all to the background, or moves them incrementally in one of those directions (see Arrange Action). This command is also available from the Format pull-down menu.

Swap

Swaps display characteristics of two selected Graphics (see Swap Action). This command is also available from the Format pull-down menu.

Region Fit

Sets or changes the Region Fit display characteristic of all selected Graphics (see Graphic Regions, Display Action).

Region Layout

Sets or changes the horizontal or vertical Region Layout display characteristic of all selected Graphics (see Graphic Regions, Display Action).

Graphic Properties

Opens the Graphics Dialog so that you can add and remove Graphics to and from the Session, and examine and alter the display characteristics of any Graphics currently included in the Session.

If the cursor was directly over a Graphic when the mouse button was clicked to pop-up the Canvas menu, the Graphics Dialog will initially display information for that Graphic.


Timeline Pop-up Menu

Clicking the right mouse button while the mouse is located in the Timeline window area brings up a menu that offers a number of commands that can change the Session.

Set Session Time

Sets the current Session time to correspond to the cursor position when the Timeline menu was invoked. That time is displayed in the middle section of the Status Bar at the bottom of the Main Window. If the Session was running when the time was changed, it continues from the new time.

You can set the time later than a scheduled Reset Action, but that Action will be executed as soon as the Session runs (immediately if it is already running).

Time Rate

You can double or half the rate at which scheduled Actions are executed. This is particularly useful while developing new session descriptions.

Insert Action

Inserts a new Action at either the current Session time or the time at the cursor position. The Actions Dialog is displayed initialized for a new Action definition at the requested time.

Insert Reset

Inserts a Reset Action at either the current Session time or the time at the cursor position. This Action will either stop or restart the Session depending on the default value you've set in the Actions Preferences. If your default is to restart the Session, it will always reset the Session time to zero. You can use the Actions Dialog to reset to a different Session time.

Action Properties

Opens the Actions Dialog so that you can add and remove Actions to and from the Session, and examine and alter the parameters of any currently defined Actions.

If the cursor was directly over a red Action icon when the mouse button was clicked to pop-up the Timeline menu, the Actions Dialog will initially display information for that Action.


Graphics

A Session is a series of Actions which manipulate the Graphics overlaid on the video stream.

There are several ways that you can add Graphics to a Session.

  • using the Open command on the File pull-down menu
  • by choosing New in the Graphics dialog
  • by creating a highlight (see Highlight Action)
  • by manually creating a Session description file

Graphics can be manipulated in real-time using either mouse-based tools or by running running a session file.

For more information, see Graphics Dialog, Graphic Regions, Highlight Graphics, Actions, Application Preferences, Adding Graphics to Video.

Supported Graphic Formats

VideoMage Producer supports the following graphic file formats:

  • JPEG (Joint Picture Experts Group)
  • GIF (Graphics Interchange Format), including animation
  • PNG (Portable Network Graphics)
  • BMP (Windows Bitmap)
  • TIFF

Identifying Graphics

Graphics are always referred to by an Identifier which is a short textual handle that you assign to the Graphic when you add it to the session, and which is the means of specifying the Graphic in the context of all Actions. VideoMage Producer automatically assigns an Id when you add a Graphic to a Session, based on the first ten characters of the base file name.

Selecting Graphics

Selecting a Graphic tells VideoMage Producer that the Graphic is now under manual control. So all changes that are in progress on the Graphic are immediately halted, and the Graphic will be removed from the inclusion list of any scheduled Action that executes while the graphic remains selected. This prevents conflict between explicit user Actions and scheduled Actions. If you select a Highlight Graphic (see Highlight Action) while it is being drawn, it will be converted to persistent.

When the execution of a scheduled Action includes a Graphic that you've selected, VideoMage Producer will automatically adjust the Action to remove the selected Graphic. Depending on the type of the scheduled Action, the adjustment may include changing the Action, or creating a new Action, or both. These changes can be undone using the Undo and Redo commands on the Edit pull-down menu.


Graphics Dialog

To view the Graphics that have been added to the session, you open the Graphics Properties dialog window. You can also use this dialog to insert new Graphics into a Session. You access the dialog by selecting the Graphics command on the Session pull-down menu, or by selecting the Graphic Properties command on the Canvas pop-up menu. To see how the Graphics Dialog can be used, see the Adding Graphics Example.

Note: When you enter the Graphics Dialog the Session will pause recording and stop the running Session. When you exit the dialog, recording will resume.

Graphics List

All of the Graphics in the session are listed in the box on the left side of the window. You chose a Graphic by clicking on its Identifier in that box. This will display information about the Graphic in the Properties box, including its source file name, and other information depending on the state of the Graphic. If you open the Graphic Properties dialog using the Canvas window pop-up menu, it will automatically select the uppermost Graphic under the cursor.

Normally, the name of every Highlight Graphic begins with ~HILITE, and they all will be listed at the beginning of the Graphics list. If you rename a highlight Graphic, it will be sorted with the rest of the Graphics in the list.

You can add Graphics to the Session by clicking the New button.

If you click the Del button, or type the Delete key, the selected Graphic will be deleted from the Session, and will be automatically removed from all Actions to which it had previously been added. If the deleted Graphic is a highlight, the corresponding Highlight Action will also be deleted.

Properties

When selected in the list box, a Graphic that is currently displayed in the canvas window shows its current settings (corresponding to Display Action parameters). You can modify these parameters to create a new Display Action for the selected Graphic.

A Graphic that has been loaded, but is not currently displayed (because it hasn't yet been included in a Display Action, or because the most recent action applied to it was an Erase Action) doesn't show any settings, instead presenting a Display button which you can click to create a Display Action for the Graphic at the current session time. This command is not available for highlight Graphics, which can only be initially displayed using a Highlight Action.

When you add a new Graphic using this dialog window, you can either type its file name directly into the Source File box, or you can search for it by clicking on the browse button. A unique Identifier will be automatically generated if you don't type anything in the Identifier box. When you click Apply, the new Graphic will be added to the list box, and the Display button will be enabled, allowing you to create a Display Action for the Graphic (as described above).

If you change the Identifier of a selected Graphic, the new name replaces the old name in all Events to which the Graphic had previously been added. If you change the file name, as soon as you click Apply or OK the canvas will be changed to use the new file

Display Actions

When you click the Display button for a new or undisplayed Graphic, a set of properties is displayed that will be used to create a new Display Action. By default, the Graphic will be positioned in the upper left corner of the Canvas window, at 100 percent of its natural size (relative to the current size of the canvas). The other default parameters for the Action come from the Actions Preferences. You adjust these properties, then click Apply to create the Action. The time of the new Display Action will be the current session time.

When you modify the properties of a Graphic that is currently displayed in the Session, a new Display Action for the Graphic is inserted into the Session at the current session time as soon as you click Apply. Region Style settings are not applicable to Highlight Graphics.

For more information, see Graphic Regions, Display Action, Erase Action, Highlight Action, Actions Preferences.


Graphic Regions

When a Graphic is displayed on the Canvas, the area it occupies can differ from the dimensions defined in its source image file. This area is initially specified by a Display Action, and can be subsequently modified by Resize Action and Sequence Action. The Graphic can be resized to consume the full space, or it can use the space in a variety of different ways. The way the area is occupied is specified by the Graphic's Region Style.

If you've selected Scale Graphics on Window Resize from the Editor Preferences, you should have a clear understanding of how a change in the window size (or a change in the frame size used by the video capture device) will combine with the Regions Style settings of your Graphics to change the canvas image.

Region Style is a combination of several settings: Fit, Layout, and Fill Colour. These terms are explained below, with illustrations using the following image (shown full size):

Region Fit

There are four forms of Region Fit, which specify how a source image is resized to fill the area assigned to the Graphic object. The forms, described below, are Source Size, Stretch to Fill, Clip at Max, and Stretch to Max.

Source Size

When the Fit is set to Source Size the source image is not resized, rather it appears in the Graphic area with exactly the dimensions defined in its source file.

If the size of the source image in a particular dimension is larger than the available size, the image will be clipped in that dimension according to the corresponding Layout setting (illustration on the left). Similarly, if a source image size is smaller than the available size, the unused area will be filled with the specified background Fill Colour (illustrated on the right with black background colour).

Stretch to Fill

The source image stretches to fill the entire available area. If the proportions of the area differ from those of the source image, the image will appear distorted.

Clip at Max

The entire available area is filled with the image. If the proportions of the area differ from those of the source image, the image will be clipped in one dimension. When clipping occurs, the edges affected are determined by the corresponding Layout setting. The illustrations below both use Layout settings of Left horizontally and Top vertically.

Stretch to Max

The source image is resized to the largest that will fit in the available area while retaining its source proportions.

If the proportions of the available area differ from those of the source image, some areas used by the Graphic will show the background Fill Colour. The location of the filled area is controlled by the corresponding Layout setting. The illustrations below both use Layout settings of Left horizontally and Top vertically.

Region Layout

Region Layout describes how a source image is positioned within the area specified by the size of the Graphic object. Specifically, it dictates which edge (or center point) of the source image must be aligned with the corresponding edge (or point) of the space assigned to the Graphic. When clipping or the source image or padding is required by the Region Fit setting, the Layout setting determines which edge or edges will be affected. Horizontal Layout values are Left, Center, and Right. Vertical Layout values are Top, Middle, and Bottom.

When clipping is done (i.e. part of the source image will not be displayed), the Layout value indicates the side to display. When padding is required, it is always applied opposite the selected side (as seen below right). For example, when the Horizontal Layout is set to Left, the right edge of the image is clipped if the available area is too small (seen below on the left), or padded with the background colour if the available area is bigger than required (seen on the right).

If the Layout value is set to a central value (i.e. Center or Middle) then the center point of the source image is displayed in the center of the available area, and clipping or padding is applied equally to the two sides. The previous examples are repeated below with the Horizontal Layout changed to Center.

Fill Colour

When the Graphic occupies only part of the area assigned to it, the rest of the area is flooded with the Fill Colour that you assigned in the most recent Display Action for the Graphic. This colour will also be visible in the Graphic's background if the source image contains any level of transparency. If you don't want any background fill colour to appear, you assign a Fill Colour with an Alpha value of zero.

The samples below show a Graphic with a Fill Colour of black (ARGB value of 0xFF000000), Region Fit value of Source Size, and Horizontal and Vertical Layout set to Center and Middle respectively. On the left the background uses full opacity, while the otherwise equivalent sample on the right uses black with 50% opacity (ARGB value of 0x7F000000).

If a Display Action or a Fade Action reduces the Graphic's level of opacity below 100 percent, the fill colour will be similarly reduced, but will still be visible through the source graphic. The sample below shows uses the above left image with 100% opaque background, with the entire Graphic fade fifty percent. The fill colour appears the same as the same above right (as both are reduced 50%), but the source graphic itself is also faded, and appears less bright as some of the background colour is visible through it.


Highlight Graphics

The Highlight Action creates a special type of Graphic that is not associated with a file, but with the Action that created it. But once created, these highlight Graphics can be manipulated in just the same way, using the same Actions as Graphics that originate in a file. Only the speed with which a highlight Graphic is initially drawn (or stretched) onto the Canvas cannot be changed once it has been created - this is determined by tracking the mouse as while in Highlight Mode.

Highlight Graphics can be created in three different shapes: rectangle, ellipse, and rounded-rectangle. They can have any colour and any level of transparency that you want. You can use them to highlight areas on the Canvas, or for a variety of other effects.

Highlight Graphics are always initially displayed by a Highlight Action created in Highlight Mode. You can set the colour, opacity, and shape for future highlights from the Tools Dialog.

If you create a Highlight Action while the Session is running, subsequent execution of that Action will recreate the dimension changes that occurred as you were moving the mouse. If the Session isn't running when the Highlight Action is created, the entire highlighted area will be displayed at once.

When you create a highlight Graphic that is persistent, it will remain on the Canvas after execution of the corresponding Highlight Action completes (when you release the mouse button). If not persistent, it will be removed from the Canvas upon completion. Persistent Highlight Graphics can be removed from the Canvas by an Erase Action.

If you create new highlights by using the Copy and Paste commands (see Edit pull-down menu), new Highlight Actions will be created accordingly.


Actions

A Session is a series of Actions which manipulate the Graphics overlaid on the captured video.

There are several ways that you can add Actions to a Session.

  • combining mouse-based Graphics selection with available real-time tools
  • by choosing New in the Actions dialog
  • by manually creating a Session File

When an Action is added to a Session, a marker is placed in the Timeline window corresponding to the Action's scheduled time. When that time arrives, the VideoMage precisely replicates the original Action.

Many Actions have associated durations, normally resulting from the addition of the Action while the Session is running. The duration is used for perfect replication of the real-time Action. If a similar Action is added while the Session is stopped, the duration of the Action is set to zero.

The complete list of available Actions is:

  • Align Action
  • Arrange Action
  • Display Action
  • Doodle Action
  • Erase Action
  • Fade Action
  • Highlight Action
  • Move Action
  • Reset Action
  • Resize Action
  • Sequence Action
  • Swap Action
  • Wipe Action

Some Actions refer to canvas position and graphic size. In general, the coordinates will be relative to the current size of the canvas area. This ensures that when the window is resized, or a different video capture resolution is used, the defined Session presents exactly the same effects by resizing and repositioning as required. You can control automatic reformatting on window resize using the Scale Graphics on Window Resize option in Editor Preferences.

For more information, see also Tools Window, Graphics, Actions Preferences.


Actions Dialog

Actions are normally added to a Session by directly manipulating Graphics displayed on the canvas. But to alter an existing Action, or delete an Action, or just to view an Action's parameters, you have to use the Action Properties dialog window. You can access this window by selecting the Actions command on the Session pull-down menu, or by selecting either Insert Action or Action Properties from the Timeline pop-up menu.

Note: When you enter the Actions Properties dialog, the Session will pause recording and will stop the running Session. When you exit the dialog, recording will resume.

The Action Properties dialog is formatted differently for each type of Action. The dialog specific to each Action type is illustrated along with the description of the Action. The figure below illustrates a typical Action dialog.

Actions List

All Actions in the Session are listed in the box on the left side of the window. This list shows the scheduled starting time of the Action and its type. You select an Action by clicking on it, which will then populate the Properties section of the window. If you open the Action Properties dialog using the Timeline window pop-up menu, it will automatically select the Action at the cursor position.

You can add Events to the Session by clicking the New button.

You can delete a selected Action from the Session by clicking the Delete button, or by pressing the Delete key.

It's possible for multiple Actions to be scheduled for execution at exactly the time. It may happen that the order of execution is important. You can change the order of Actions that have the same start time by using the up and down arrows located to the left of the New button.

Including Graphics in an Action

When an Action is directly created from the Canvas window, it includes all selected Graphics. Most Actions can include an unlimited number of Graphics. These Actions display two lists of Graphic Identifiers: one of all Graphics included in the Action, and the other of all other Graphics in the Session.

You can add Graphics to the selected Action by selecting their Identifiers in the Not Included list, and then clicking the Transfer button between the two lists. To remove Graphics, select them in the Included list and then click Transfer. You can select Graphics in only one list at a time, and you can transfer multiple Graphics at once.


Align Action

An Align Action forces all affected Graphics to align along a common line. You can align the Graphics along a vertical line (aligning left or right edges, or center), or along a horizontal line (aligning top or bottom edges, or middle).

You create an Align Action by choosing the Align command from either the Tools pull-down menu or the Canvas pop-up menu , then specifying the particular flavour of alignment from the resulting pop-up menu. All selected Graphics will be repositioned so that the specified edge or middle aligns with the edge or middle on the most recently selected Graphic (which doesn't move). The Align Action requires a minimum of two Graphics.

The Align value is one of left, right, or center for horizontal alignment, or one of top, bottom, middle for vertical alignment. The position to which the Graphics are aligned is derived from the relative position of the last Graphic selected before the Align command is selected.

When a scheduled Align Action is executed, the particular Graphic that was last selected when the Action was created no longer has any importance: all Graphics are aligned to the specified relative position on the Canvas.


Arrange Action

An Arrange Action forces all affected Graphics to be displayed in front of or behind those Graphics not included in the Action. This is called a change in z-index. Normally, a Graphic is displayed according to the order of the Display Action that first presents it on the Canvas; the most recently displayed Graphic being in front of all others (i.e. having the highest z-index).

You create an Arange Action by choosing the Arrange command from either the Tools pull-down menu or the Canvas pop-up menu , then specifying the change to the selected Graphics' z-index from the resulting pop-up menu. No change is made to the relative z-index of the Graphics included in the Action.

You can choose to change z-index of the included Graphics by sending them to the absolute Front or Back, or by moving them incrementally Forward or Backward.


Display Action

A Display Action presents a single Graphic on the Canvas using statically defined properties.

Display Actions are created in a number of ways:

  • By loading a file using the Open command on the File pull-down menu. In this case, the display settings will be the defaults that you set in the Action Preferences dialog. The Graphic will be positioned in the upper left corner of the Canvas, and its size will be one hundred percent of its natural size in the source file.
  • By using the Paste command on the Edit pull-down menu to add previously Cut or Copied Graphics. Display Actions created this way will be assigned the same settings as the originals.
  • Automatically by the application while the Session is running. This happens when a Graphic is selected using the mouse while it is being changed as the result of a scheduled Action. In this case, the settings of the newly created Display Action match the appearance of the Graphic when it was selected.

The Display Action dialog doesn't give you access to all settings that can affect the appearance of a Graphic (for example, those set by the Wipe Action). In some cases, you may want to create other Actions, with the same scheduled time, in order obtain the desired apearance.

For more information, see Action Preferences.

Graphic

A Display Action applies only to a single Graphic. By clicking on the arrow icon at the right end of the box, you can select from among all of the Graphics currently included in the Session.

Opacity

You can indicate the opacity to be used for the Graphic when the Action is executed. Values can range from zero (completely invisible) to 100 (completely opaque). If the Graphic itself contains some level of transparency, they will be scaled accordingly.

Rel Size

The size of the displayed Graphic is specified relative to the size of the Canvas when the Action is executed. A size of 0.0 is a single pixel; a size of 1.0 matches the dimension of the Canvas exactly. If you set both Horizontal and Vertical values to 1.0, the Graphic will be exactly the same size as the Canvas.

If you change the size of the Canvas, by either resizing the main window (Static Canvas), or by selecting a new video frame size (Video Canvas), the Relative Size settings in all Display Actions will be automatically recalculated if you've not selected the Scale Graphics on Window Resize option in the Editor Preferences window. This allows Graphics to retain their displayed size regardless of window size.

Rel Position

Position settings specify the location of the upper left corner of the Graphic relative to the upper left corner of the Canvas. Position values on the Canvas range from 0.0 to 1.0, from left to right horizontally, and from top to bottom vertically. Negative values will position the top left of the Graphic off the screen to the left or the top as applicable. Values of 1.0 and larger will position the Graphic off the screen to the right or bottom as applicable.

Region Style

You specify the Fill Colour in ARGB hex format. That is, the value begins with "0x" to indicate a hex value, then two hex digits for Alpha value, two hex digits for Red value, two hex digits for Green value, and finally two hex digits for Blue value (0xAARRGGBB). All of the two digit pairs range from 00 to FF. An Alpha value of "FF" corresponds to full opacity. If you don't want any Fill Colour, you specify Alpha as "00" with any values for the rest of the colour (e.g. 0x00FFFFFF).

Region Style settings are not applicable to Highlight Graphics.

For more information, see Graphic Regions.


Doodle Action

A Doodle Action is used to present a simple freehand line over the image displayed on the Canvas. The effect produced is similar to a telestrator. You can have multiple lines of different widths and in different colors.

To create a Doodle Action, select Doodle from the Tools drop-down menu to enter Doodle Mode. The shape of the mouse pointer in the Canvas window will change to cross-hairs to indicate this mode, and the command will show a check mark on the pull-down menu. In Doodle Mode, when you press the left mouse button in the Canvas window, a Doodle Action is created which draws a line following movement of the mouse until you release the button.

Exit Doodle Mode by selecting the Doodle command a second time, or by selecting Highlight Mode (see Highlight Action).

To control settings used for Doodle Action creation, open the Tools Dialog (by selecting More Tools from the Tools pull-down menu). You can use the On button in this window to switch the editor into Doodle Mode.

If you create a Doodle Action while the Session is running, subsequent execution of that Action will draw the corresponding line with the same speed that was used to draw it initially. If the Session isn't running when the Doodle Action is created, the entire line will be displayed at once.

If you've enabled Scale Graphics on Window resize in the Editor Preferences, doodle lines will stretch or shrink to match changes in the Canvas window size.

You can exit Doodle Mode by clicking on the Off button (the same button that you use to enter Doodle Mode, with its label changed while Doodle Mode is active). You have to exit Doodle Mode to perform any mouse based Graphic manipulation.

Clicking on the Clear button at any time erases all active doodle lines.

Among the specific properties of a Doodle Action, only the line color and width can be changed. The color value must be specified in hexadecimal ARGB format (the Alpha field, specifying opacity, is ignored).

The other properties are informational only. A doodle is actually a series of line segments joining points on the Canvas. Each time the mouse is moved, the time of the movement (as a Time Offset from the start of the Doodle Action) and the relative position of the mouse are recorded. By clicking on a particular Time Offset value, you can see where the start point of the next segment.


Erase Action

Erase Actions remove the affected Graphics from the canvas.

You create an Erase Action by hitting the Delete key or by using the Cut command available on the Edit pull-down menu. All selected Graphics will be included in the Action.

Recommendation: You can improve performance by creating an Erase Action for any Graphic that has been faded to zero. You can create a Display Action with zero opacity when you want to fade it back in.


Fade Action

A Fade Action changes the opacity of the affected Graphics instantaneously or over a specified duration. The opacity of the background fill color (see Graphic Regions) is similarly changed.

The simplest way to create a Fade Action is by using the wheel on your mouse. Scrolling up increases the opacity of the selected Graphics, while scrolling down decreases opacity.

A more precise method of creating a Fade Action is using the Tools Window (select More Tools from the Tools pull-down menu). You can choose to set the opacity of the selected Graphics to an absolute percentage (by selecting Fade to), or to change it by a fixed percentage (Fade out by and Fade in by).

If you create a Fade Action with Duration set to zero, its effect will be seen immediately. The creation of a Fade Action with non-zero Duration is not recommended while the Session is running (non-zero duration Actions on selected Graphics are not supported). To add such an Action, you should stop the session (and pause recording if applicable), selected the Graphics, create the non-zero duration Fade Action, then unselect the Graphics before resuming the session (and recording).

When a non-zero duration Fade Action to an absolute percentage is executed for multiple Graphics with different initial opacity, the rate of change will differ among the Graphics. For Fade Actions using fixed percentage changes, the rate of change will be the same for all Graphics regardless of their initial opacity (although no more change can take place once a Graphic's opacity hits the 0 or 100 percent limit).


Highlight Action

A Highlight Action allows you to highlight a portion of the Canvas using any colour. You can set the colour, opacity and shape of a highlighted area.

To highlight an area on the Canvas, select Highlight from the Tools drop-down menu to enter Highlight Mode. The shape of the mouse pointer in the Canvas window will change to a hand pointer to indicate this mode, and the command will show a check mark on the pull-down menu.

In Highlight Mode, when you press the left mouse button in the Canvas window, a Highlight Action is begun which draws a coloured shape from the point where you initially pressed the button to the point where you finally release it. As you move the mouse while the left button is pressed, the dimensions of the shape change dynamically. Once drawn, a highlighted area can be manipulated as any other Graphic.

Exit Highlight Mode by selecting the Highlight command a second time, or by selecting Doodle Mode (see Doodle Action). You have to exit Highlight Mode to perform any mouse based Graphic manipulation.

If you create a Highlight Action while the Session is running, subsequent execution of that Action will recreate the dimension changes that occurred as you were moving the mouse. If the Session isn't running when the Highlight Action is created, the entire highlighted area will be displayed at once.

If you've enabled Scale Graphics on Window resize in the Editor Preferences, highlight areas will stretch or shrink to match changes in the Canvas window size. If Snap-To is enabled, highlight areas will be created by blocks of the size of the snap-to spacing.

A Highlight Action creates a special type of Graphic. These Graphics are initally named ~HILITEnn where nn is a number assigned by VideoMage Producer to ensure uniqueness. After it has been created, you can change the colour and shape of a highlight by altering settings for the corresponding Action. To change its size, position, or any other characteristic, you can use the appropriate Action as you would for any other Graphic.

Highlights that are set as persistent remain on the Canvas after the completion of the Action. When a Highlight Action doesn't set the highlight to be persistent, it will disappear from the Canvas as soon as the mouse is release during its creation.

You can vary the default parameters used for Highlight Graphic creation from the Tools Window (select More Tools from the Tools pull-down menu).


Move Action

A Move Action moves the affected Graphics by a specified offset in the X and/or Y directions. Unlike a Sequence Action, movement is at a constant rate, in a straight line, from origin to destination.

To create a Move Action, position the mouse over a selected Graphic so that the cursor shape changes to a cross, press the left mouse button, move the mouse (which drags the selected Graphics) until the Graphic is in the desired location, then release the mouse button. If the Snap-To option has been enabled in the Editor Preferences, the position of the relocated Graphic may be accordingly adjusted when you release the mouse button.

You can also create a Move Action using the arrow keys on your keyboard. Pressing any arrow key will move the selected Graphics in the specified direction. Graphics will be moved more quickly if the Control key is pressed at the same time as an arrow key.

Move Actions are only created when the Session is not running. If the Session is running, a Sequence Action will be created instead. To create a Move Action with a non-zero duration, first create it as described above with the Session stopped, then change its Duration property from the Actions Dialog.

The Offset value is proportional to the size of the Canvas window. A positive X value moves a Graphic to the right, a negative value moves it to the left. A positive Y value moves a Graphic downward on the Canvas, a negative value moves it upward. For example, an X offset value of 0.5 will move the affected Graphics to the right a distance equal to half the width of the Canvas.


Reset Action

A Reset Action is the final scheduled Action that can be executed in a Session.

You insert a Reset Action using the Insert Reset command on the Timeline pop-up menu.

A Reset Action can be set to perform one of two different actions: it can stop the Session so that no more changes are made to the Graphics displayed on the Canvas; or it can set the Session time back to an earlier time from where execution will continue. If you choose to reset the Session time, the Session will run until you manually stop it. When you create a Reset Action it uses a default setting that you specify in the Action Preferences.

When you reset the Session time, the appearance of the Graphics on the Canvas is also reset to what it was the first time that time was reached. In other words, changes are not cumulative on every reset.

Execution of a Reset Action will issue a notification to the Event Viewer if you request that notification in the Application Preferences.


Resize Action

A Resize Action changes the size of the affected Graphics in the X and/or Y directions. All Graphics included in a single Resize Action are resized in the same relative proportion (i.e. if one doubles in size, then they all do). Unlike a Sequence Action, resizing is performed at a constant rate, from original to final size.

To create a Resize Action, position the mouse over one of the select markers on a selected Graphic so that the cursor shape changes to a bi-directional arrow, press the left mouse button, move the mouse (which resizes the selected Graphics) until the Graphic has the desired size, then release the mouse button. If the Snap-To option has been enabled in the Editor Preferences, the new size of the Graphic may be slightly modified when you release the mouse button, as the marker you dragged will be snapped to the grid.

Resize Actions are only created when the Session is not running. If the Session is running, a Sequence Action will be created instead. To create a Resize Action with a non-zero duration, first create it as described above with the Session stopped, then change its Duration property from the Actions Dialog.

The Scale value is the measure of change proportional to the current size of the Canvas in the given dimension. A value greater than 0.0 increases the Graphic's size in the specified dimension, a value less than 0.0 decreases it. The Movable Edge indicates which edge of the affected Graphics should be moved in order to apply the size change (Left or Right in the X dimension, Top or Bottom in the Y dimension).


Sequence Action

A Sequence Action is repositions or resizes the affected Graphics over a period of time, with the changes defined by tracked mouse movement. Unlike a Move Action or a Resize Action, changes do not necessarily happen at a constant rate, and motion isn't necessarily linear. A Sequence Action is always created when moving or resizing Graphics while the Session is running.

Creation of a Sequence Action is similar to the creation of Move and Resize Actions. To create a Sequence Action, position the mouse over a selected Graphic so that the cursor shape changes to a cross (to move the Graphics), or over a select mark so that the cursor changes shape to a bidirectional arrow (to resize the Graphics). Press the left mouse button, move the mouse (which moves or resizes the selected Graphics) until the desired result is achieved, then release the mouse button. If the Snap-To option has been enabled in the Editor Preferences, the final position or size of the affected Graphic may be adjusted when you release the mouse button.

Using the arrow keys on your keyboard to move Graphics while the Session is running will also create a Sequence Action.

In the Actions Dialog, most of the Properties displayed for a Sequence Action are read-only. The only changes you can make are to add or remove Graphics from the Action.

Each time the mouse is moved during the creation of a Sequence Action, the time of the movement (as a Time Offset from the start of the Action) is stored as part of the Action properties. Corresponding to the Time Offset is the movement Offset from the previous mouse position, and the Scale or relative change in size of the Graphics. Both Offset and Scale are measure in units proportional to the size of the Canvas, with a value of 1.0 being equal to the full width or height of the Canvas when the Action is executed.


Swap Action

A Swap Action exchanges basic display properties, such as size and position, between two Graphics.

You create a Swap Action by choosing the Swap command from either the Tools pull-down menu or the Canvas pop-up menu. Creation of a Swap Action requires two Graphics be selected.


Wipe Action

A Wipe Action erases a percentage of the affected Graphics starting from one (or more) of its edges. In the illustration below of two otherwise identical Graphics, the selected Graphic has its left and bottom edges wiped by twenty-five percent.

Wipe effects are absolute and are not cumulative. For example, if you Wipe a Graphics from the left by 50%, then include the Graphic in another Wipe which removes 10% from the left, the end result is that only 10% of the Graphic is erased (the other 40% erased in the first Wipe was restored).

You can set a Wipe Action to remove from (or add to) any or all of the edges of the affected Graphics.

You create a Fade Action using the Tools Window (select More Tools from the Tools pull-down menu). Select one or more of the edges of the affected Graphics to wipe, and then specify the percentage to be removed from each of the selected edges.

If you create a Wipe Action with Duration set to zero, its effect will be seen immediately. The creation of a Wipe Action with non-zero Duration is not recommended while the Session is running (non-zero duration Actions on selected Graphics are not supported). To add such an Action, you should stop the session (and pause recording if applicable), selected the Graphics, create the non-zero duration Wipe Action, then unselect the Graphics before resuming the session (and recording).


Tools Dialog Window

To make real-time creation and variation of certain Actions a little simpler, you can place the Tools dialog window on your desktop for quick access. This window can be opened be selecting More Tools in the Tools drop-down menu. This same selection will close the Tools dialog when when it's open. You can set a Application Preference to automatically open the Tools dialog when you start VideoMage Producer.

Doodle Action

The doodle colour button displays the colour and width of subsequent doodle drawings. By clicking that button you can select a different colour. The two buttons on the right control Doodle Actions.

Clicking on the On button switches the editor into Doodle Mode. In that mode, when you press the left mouse button in the Canvas window, a Doodle Action is created which tracks movement of the mouse until you release the mouse button. You cannot use the mouse to select Graphics while you're in Doodle Mode. You turn off Doodle Mode by clicking on the top button (whose label is Off while Doodle Mode is active), or by using the Doodle toggle on the Tools pull-down menu.

Clicking on the Clear button at any time erases all previous doodles.

For more information, see Doodle Action.

Highlight Action

The highlight color button displays the colour, opacity, and shape of the highlight that will be created in Highlight mode. By clicking that button you can select a different colour. The shape of future highlights is selected by clicking one of the three shape buttons (the current shape appears depressed). Opacity can be set by varying the Percent value. If the Persist box is checked, then the highlight Graphic will remain displayed after the mouse is released.

Clicking on the On button switches the editor into Highlight Mode. In that mode, when you press the left mouse button in the Canvas window, a Highlight Action is initialized and the movement of the mouse is tracked until the button is released. You cannot use the mouse to select Graphics while you're in Highlight Mode. You turn off Highlight Mode by clicking the button you used to turn it on, or by using the Highlight toggle on the Tools pull-down menu.

For more information, see Highlight Action.

Fade Action

Clicking on the Fade button fades all selected Graphics according to the other settings you've chosen.

If you choose Fade to, all selected Graphics will end up with the specified (Percent) transparency, but may fade at different rates and may either fade in or fade out depending on their initial settings.

You can specify the Duration of the Fade Action in seconds. However, if the session isn't currently running, full results of the action will not be immediately visible if you use a Duration value other than zero.

For more information, see Fade Action.

Wipe Action

Clicking on the Wipe button wipes all selected Graphics according to the other settings you've chosen. You can simultaneously wipe any of the four sides of the selected Graphics.

You can specify the Duration of the Wipe Action in seconds. However, if the session isn't currently running, full results of the action will not be immediately visible if you use a Duration value other than zero.

For more information, see Wipe Action.


Preferences

You can specify default settings and modes of operations to control VideoMage Producer. Preference settings are accessed from the Session pull-down menu.

You can set your personal preferences in these categories:

  • Actions
  • Application
  • Canvas
  • Devices
  • Editor
  • Recording
  • TV Tuner
  • TV Channels
  • Video Compression


Actions Preferences

VideoMage Producer allows you to set default parameters for selected Actions. These settings simplify the creation of new Actions.

Display Defaults

The Display Defaults are used when loading graphics using the File pull-down menu. For more information, see Display Action.

Reset Defaults

If you check the Stop Session box in the Reset Defaults, Reset Actions subsequently inserted into the current session will halt the session once it is run. If not checked, inserted Resets will cause the session to loop back to its beginning. For more information, see Reset Action.

Other Settings

You set preferences for the Doodle, Fade, and Wipe Actions from the Tools window.


Application Preferences

Use the Application Preferences dialog to set general options for VideoMage Producer.

Startup

There a several preferences that you can set to affect the operation of VideoMage Producer on application start-up.

By selecting Run Session, the session automatically begins running. This option is particularly useful when session description files are automatically loaded on start-up by double clicking in Windows Explorer.

If you select Video Canvas, VideoMage Producer will automatically connect to your selected video capture device, and will use the source video stream as the background of your edit window. For more information, see Device Preferences.

If Show Tools is selected, on start-up, VideoMage Producer will also display the Tools Window.

Enabled Notifications

While a session is running, VideoMage Producer may provide notifications of certain events. These events may advise you of changes being autonomously made to the session, or they may simply be confirmations of actions you have requested. Notifications can be viewed using the Event Viewer.

You can selectively enable and disable certain of these notifications.

When a Reset Action is executed, either restarting or halting the session, a notification window is presented if you have selected the Reset Action Execution preference. For more information, see Reset Action.

You can modify the running speed of the session to either half-speed or double speed using the Time Rate command on the Timeline popup menu. After it has been adjusted, a notification of the new speed is presented if you've selected Session Speed Change.

When the session is running, and a scheduled Action begins to execute, all Graphics that would normally be included in the Action and which are currently selected are removed from the Action definition. By checking Auto Event Change, every time an Action is modified in this way, a notification will be sent to the Event Viewer. For more information, see Graphics.

Session Save Settings

When Auto-Save is selected, the session you are creating will occasionally be automatically saved to disk. In the unlikely event of a VideoMage Producer crash, the session can be essentially recovered from this auto-save file. Every time you start VideoMage Producer, it checks to see if an auto-save file remains from the previous time you ran the application. If so, you are given the choice of resuming the previous session or of abandoning the auto-save file in favour of a new session.

When a session file is saved using the Save command in the File pull-down menu, all Actions defined in the session are written to the file. If you select the Clean up Actions on Session Save preference, then the file omits Actions that aren't completely defined (i.e. without associated Graphics) and Actions scheduled after the earliest scheduled Reset Action.


Canvas Preferences

VideoMage Producer allows you to specify the basic canvas appearance.

Static Canvas

Static Canvas settings are used when video capture isn't being used (i.e. Video Canvas mode is inactive). You might want to set the colours to something pleasing to look at, or to change the contrast with graphics being displayed in session you're editing.

The large image displays a sample of the background using your choices of colour and Grid usage. There are two colour selection buttons to the right of the large image. The upper button allows you to set the background colour, and the bottom button allows you to set the grid colour. The grid lines are provided as guides so help you align graphics as you manipulate them on the canvas. The spacing of the grid can be varied from 10 to 50 pixels. Normally, you would have the grid spacing set to the same as the snap-to spacing (see Editor Preferences). If you don't need the grid lines, they can be turned off.

You can specify how the Static Canvas fills the area of the main window available to it:

  • Video Frame Proportions - resizes the Canvas to use the same proportions as the video capture frame, see see Device Preferences (if the frame size is larger than the available space in the main window, the main window will be automatically resized). If no video source is available, this option will use 320x240 frame size.
  • Fill Window - arbitrarily stretches the video image in both height and width to fill all the available area in the main window.

Video Canvas

When video is active, you can specify how the video size corresponds to the main window size.

  • Video Source Frame Size - displays the video using exactly the same dimensions as provided by the video source (device or file).
  • Video Source Frame Proportions - displays the video using the same proportions as the image provided by the video source (device or file), stretched to the maximum allowed by the size of the main window.
  • Fill Window - arbitrarily stretches the video image in both height and width to fill all the available area in the main window.

If the video image is larger than the available space in the main window, the main window will be automatically resized to fit the image


Device Preferences

VideoMage Producer supports a wide variety of audio and video devices, including webcams, DV cameras, and TV tuners.

On initialization, all available audio and video capture devices are detected. If the devices that you selected last time you ran the program are still present, they will be automatically used for video capture. Otherwise, VideoMage Producer will select devices for you.

You can select the devices you want to use by clicking the Devices tab in the Preferences dialog available from the Session pull-down menu.

Webcams and DV cameras have only a single input, so the Input field will be blank. Other video devices, especially video capture cards, have multiple inputs, such as S-Video, Composite Video, and Video Tuner. In that case, you'll have to specify which input you want to use. For example, to watch TV, you would select Video Tuner as your input.

Normally you have to associate an audio source device with the video device you select. If your video device is a webcam, then you'll choose the microphone that is associated with it (some webcams have built-in microphones). You might have to click the Settings button for the audio device to ensure that Windows has enabled it.

If the video device is a DV camera, no selection of an audio source is required as the DV stream includes an audio component (the Audio Source Device field will be blank).

Settings

Some device drivers allow you to alter their mode of operation. For example, a video device may allow you to switch between black and white, and colour. Or, an audio device may allow you to switch between multiple audio sources (such as Line-In and Microphone). If this is the case for a selected device, clicking the corresponding Settings button will give you access to additional device settings.

You can change these settings while the device is active.

Capture

Most video source devices support several different display formats, including image size, frame rate, and colour format. Clicking the Capture button displays a dialog window where you can set these (and other) values. The appearance of this window varies depending on the particular device and its manufacturer. When you change these settings, they will be applied whenever you connect to the particular device.

You cannot change these settings while the device is active. If the device is active, you must either switch to another video device, or switch to Static Canvas mode before the you can alter the device's Capture properties.

Unless you explicitly over-ride them, the values you select for image size and frame rate will be reflected in any video recording file you create. You can improve capture performance by selecting lower values for both of these fields. See Video Compression Preferences for more information.

After you've set new Capture values for a device, they will be permanently saved so that they can be automatically applied next time you connect VideoMage Producer to that particular video device.

Using a DV camera as a source places high processing demands on your computer and VideoMage Producer. Depending whether the camera provides a PAL or NTSC source signal, the frame size will be 720x576 at 25 frames per second, or 720x480 at 29.97 frames per second. You may want to reduce frame size, or frame rate, or both.

When a DV camera is selected as the video source, a standard Capture Properties dialog is used.

You can change the output size between full size, half size, and quarter size (720x480, 360x240, and 180x120 respecitively for NTSC video, and 720x576, 360x288, and 180x144 for PAL video). Choosing 360x240 gives a seventy-five percent reduction in image area, with corresponding improvements in your computer's video processing speed. Shoosing 180x120 would gives a ninety-three percent reduction from full size area.

You can also change the frame rate. By selecting Half Speed as the frame rate , every second source frame image will be discarded. This reduces the frame rate to 15 frames per second for NTSC video, and to 12.5 frames per second for PAL.


Editor Preferences

VideoMage Producer gives you control over the operation of its real-time editor.

Settings

If you select Lock Session to Record State, whenever you begin Recording video to a capture file (by clicking the Record button or by selecting Start Recording from the Capture pull-down menu), if it isn't running, the current session will automatically start from the current time.

A fundamental feature of VideoMage Producer its ability to offer identical presentation regardless of the dimensions of the canvas or video source. This applies when you select different video source size (see Device Preferences), and when you resize the main window. If you select Scale Graphics on Window resize, the size of every displayed graphic is adjusted to remain the same size relative to the size of the window. If this preference is not selected, graphics do not automatically resize to remain proportional to the window dimensions, resulting in modifications to parameters of affected Actions.

The status bar at the bottom of the main window displays the position of the mouse whenever it is in the Canvas area. If you select Display Absolute Position the position will be shown using pixel coordinates (ranging from 0 to the size of the Canvas area), otherwise relative coordinates (from 0 to 1) will be used. Relative coordinates are used by most Action definitions.

Snap-To

As an aid to laying out graphics on the Canvas, the VideoMage Producer editor is able to automatically adjust changes to graphic position or size that you make with the mouse. You turn this control on by selecting Enabled.

The size of automatic adjustments is controlled by the Spacing value. Snap-to points are located at multiples of the set Spacing across and down the Canvas area, starting at the upper left corner.

When a selected graphic or group of graphics is moved using the mouse, and snap-to is enabled, the upper right corner will be moved to the closest snap-to point. When a selected graphic or group of graphics is resized using the mouse, and snap-to is enabled, the final size will be determined by the position of the snap-to point closest to the selection marker being dragged by the mouse.

Snap-to points are not displayed on the Canvas, so the Spacing is often set to the same value as the Grid line spacing (see Canvas Preferences).

Undo

When you're using the VideoMage Producer session editing functions, you have the ability to reverse changes that you make. You can reverse and reapply recent changes using the Undo and Redo commands on the Edit pull-down menu.

When the execution of a scheduled Action includes a Graphic that you've selected, VideoMage Producer will automatically adjust the Action to remove the selected Graphic. Depending on the type of the scheduled Action, the adjustment may include changing the Action, or creating a new Action, or both. These changes can also be undone using the Undo and Redo commands.

If you undo changes while capturing video, the session description file that you can create using the Save command in the File pull-down menu may not correspond precisely to the contents of the capture file.

Setting the Undo Levels to a higher value consumes more memory, but allows more changes to be reversed.


Recording Preferences

Output File

VideoMage Producer allows you to specify the default name of the video recording output file. The Default File will be used whenever you begin recording by clicking on the Record button, and by selecting Record Start from the Capture pull-down menu.

You can type in a valid file name or you can use the browse button to explicitly select an existing file. If the path doesn't exist when the specified file is opened for recording, you will be prompted.

If you select Overwrite, the file that you specify will always be used. Otherwise, if the file exists, a new file will be created by appending an integer value to the specified name. In both cases, any file extension you specify will be modified, if necesssary, to ensure that it corresponds to the form of compression used for the file. For Windows Media format, ".wmv" will be used, otherwise a ".avi" extension will be used.

Note: if you do not select Overwrite and your system uses short file names (8.3 format), you should ensure that the file name you specify is shorter than eight characters long (to allow for integer appendage).

You can override the default file using the New command in the File pull-down menu. In this case, the file extension will not be modified.

For more information, see Video Recording.

Temporary File

When Real-Time compression is not used, video capture and compression requires two files. During actual capture, video is temporarily stored in an uncompressed AVI file. The second stage of the process compresses this file, using the codecs you've chosen, to create the final output file.

To optimize creation of the first stage file, you should specify a file location on an unused or a newly defragmented partition on your hard drive.

You may chose to delete the temporary file after completion of a non Real-Time recording. Recording performance is increased by the re-use of an existing file, but the physical size of the file will reflect the length of the longest recording session from the time the file was created.

For more information, see Video Compression Preferences, Performance Guidelines.


TV Tuner Preferences

You can set the default operation mode for the TV tuner installed on your computer.

Input

You should select either Antenna or Cable depending on whether the signal provided to the TV tuner is received over the air, or via cable. Most channel frequencies differ between cable and over-the-air television, and some TV tuners use different techniques to determine the presence of a viewable signal.

Country

VideoMage Producer will automatically configure your TV tuner to use the best settings for your country. The country will be determined from your computer's system settings (normally set when your Windows operating system was installed). The choice of country affects the Video Standard that the tuner uses (for example, NTSC in North America and Japan, or PAL in Europe and China), and the Windows TV Tuning Space that is used by VideoMage Producer to select channels.

If you change the selected country, the default Video Standard and Tuning Space will automatically be updated. You should not over-ride the Video Standard and Tuning Space unless you have a good reason to do so. For example, you may want to use a Tuning Space that was established by another application that you use on your computer.

The Tuning Space value is normally set to the international Country Code corresponding to the selected country. This value is used as an index into a set of tables for over-riding pre-determined channel frequencies. These tables can be managed from the TV Channel Preferences dialog. A standard over-ride value for the Tuning Space is zero.

The Video Standard value is used to configure your TV tuner for a particular analog TV signal format, comprising information such as frame rate and the number of lines of resolution. Some TV tuners are unable to support certain possible formats, and may even be hard-wired for one particular format.


TV Channel Preferences

VideoMage Producer gives you the ability to simply manage your favorite TV channels.

Every channel that is theoretically available to your TV tuner is displayed in the Channel Map grid. The range of channels is determined by the capabilities of your tuner, and the settings that you select on the TV Tuner Preferences.

Double clicking anywhere on the line for a channel will change to that channel.

Normally you will have two different channel maps: one for Cable channels, and one for channels received by Antenna (over-the-air).

There are four fields for every channel:

Surf

If you check the box in this column, the corresponding channel will become a favorite.

Favorite channels are included when you change channel using the Channel Up or Channel Down commands available from the TV Tuner sub-menu on the Capture pull-down menu or the channel up or down buttons on the TV Control dialog (see TV Tuner Devices for more information).

Channels that are not checked as favorites are skipped during these scans.

By default, all channels are selected as favorites. This may include channels that aren't available to you. By clicking the AutoSelect button, VideoMage Producer will scan all channels, and set your favorites only to channels where a viewable signal is available. You can stop the scan by clicking the button a second time.

Channel

When changing channels using the TV Control dialog (see TV Tuner Devices), channels are identified by a simple number. This standard is not used in all countries, so VideoMage allows you to assign a new identifier to any channel. Simply click the mouse in the Channel column, then type in a new identifier. The new identifier can be up to six characters, and must be unique.

You might prefer to set channel identifiers to more meaningful representations, for example, WXYZ or BBC-1.

Description

This field is simply informational. By default, it shows the channel's input type and channel index, but you can edit its contents to contain anything you want. This can be meaningful, as for example, the station's call letters, such as CBC, or a longer description, such as CBC - Montreal, or a less technical description, such as My Dog's Favorite Channel.

This description is also displayed in the Session Summary available from on the File pull-down menu.

Tune

This can be used to specify a frequency over-ride for a particular channel. You should leave it blank unless you have a good reason to change it.

TV tuners and Microsoft Windows based TV applications use standard tuning frequencies based on country, input type, Tuning Space (see TV Tuner preferences), and channel index. Inaccuracies may exist in these tables, and modifications to frequency use may occasionally occur in some jurisdictions. If you become aware of any such circumstances, you can modify the frequency that is assigned to a channel by entering a new frequency (in Hertz) in this field.

If, in addition to VideoMage Producer, you use other TV tuner applications on your computer, you will probably want to share the frequency override settings with those applications. To do so, you should ensure that they all use the same country and tuning space that you set in your TV Tuner preferences.

Not all TV tuners support frequency over-ride. Please refer to your tuner's technical documentation.

You can restore the default settings for every channel by clicking the Defaults button. This will result in every channel being checked as favorites, its name being set to its numeric index, its description indicating Cable or Antenna, and any frequency over-ride being removed.


Video Compression Preferences

VideoMage Producer gives you extensive video compression control. Best results are obtained using Windows Media compression, but other codecs are supported for systems where Windows Media is not available.

Capture

If you choose Real-time Compression, the compressed output file will be generated while the video is delivered from the video capture device. Depending on the video codec you choose, this may place unacceptably high processing demands on your computer.

If you choose not to use Real-time Compression, the final output file will be generated in two stages: first is real-time creation of an uncompressed AVI file, which is compressed once recording is stopped. Depending on the video frame size and frame rate, non real-time compression may place very high demands on your hard disk.

For more information, see Video Compression.

Windows Media Compression

When you select Use Windows Media, by leaving Fine Tuning unselected you choose to use a standard system-defined profile. These profiles use predefined settings for audio and video encoding. For most purposes, the use of a system profile is adequate.

You select a system-defined profile based on its Description, which is a list of characteristics of the file that will be created. The first part of a Description lists the video characteristics: dimensions of the image (width and height, in pixels), and the frame rate (in Frames per second). The second part lists the audio characteristics: the number of channels, and the sample rate. At the end of the Description of every system-defined profile is an approximation of the storage required by that profile, in Kilobits per second.

Windows Media Compression Fine Tuning

When you choose to use Windows Media compression Fine Tuning, you control all encoding settings.

You start by selecting the Audio codec and Video codec to be used, then make further choices to control the codec's operation. You may find that you have more than one suitable Audio or Video codec installed on your system. Where the choice is between different versions of a particular codec, you should use the most recent unless you have a good reason to use an earlier version.

When you select an Audio codec, a number of predefined encoding formats is presented, from which you choose one that is suitable to your needs. In some cases, you may find audio formats that differ only by one being described as "A/V" and the other not. Where this is the case, you should choose the A/V format as it is designed for proper synchronization with video streams.

Video streams can be compressed in any available Constant Bit Rate (CBR) or Variable Bit Rate (VBR) format.

You can select Frames/sec to override the frame rate provided by the video capture device. By using a lower frame rate, you can noticably improve compression performance.

For one-pass encoding, your choices for video encoding are between CBR and quality-based VBR. If you select VBR, you must also specify the quality, which ranges up to 100 percent. Higher quality demands higher processing power. If you don't select VBR, then CBR encoding is used, and you must specify a bit rate (in Kilobits per second).

When you're not using Real-Time Compression, Two-Pass Encoding is enabled. When you select Two-Pass Encoding of the video stream, you chose from among CBR, bandwidth constrained VBR, and unconstrained VBR. For all of these encodings, you must specify the bit rate to be used (for two-pass VBR the bit rate is an average. To use constrained VBR you must select Peak (kbps), otherwise unconstrained VBR will be used. The peak rate is the maximum instantaneous bit rate (in Kilobits per second) that will be used by the output file. You should limit the peak bit rate if the output file may be played back on slower machines.

For all bit rates, you may want to ensure suitability with the video frame rate and image size.

Normally, the image size of the recorded file will be the same as the source image. You can over-ride this behaviour by checking Force Output Size which will enable you to provide the width and height of the recorded video. This option should be used with caution, as excessive stretching or shrinking may adversely affect behaviour of the video compression software.

Other Compression Formats

If Windows Media compression is not available on your computer, or you choose not to use it, your choices for compression are more limited.

In this window, you can choose from among a selection of Audio and Video codecs available on your system. For certain codecs, additional settings may be available by clicking on the Settings button.

When selecting codecs, care must be taken to ensure that the selected audio codec and video codec can operate successfully together.


Advanced Topics

The information provided in this section provides you complete control over the operation of VideoMage Producer.

  • Performance Guidelines
  • Graphics Cache
  • Session File Format
  • Registry Settings


Performance Guidelines

To take full advantage of the functionality offered by VideoMage Producer, a high-end computer system is required. However, by appropriately adjusting program options and specifying session descriptions, VideoMage Producer is able to operate satisfactorily on moderately powered systems.

The following guidelines provide choices on how to obtain tolerable performance on less powerful systems:

  • limit or avoid the use of animated graphics (animated GIFs)
  • try to avoid the use of large graphics
  • try to avoid large areas of unused background space on graphics using Fit values of Stretch to Max and Source Size (see Graphic Regions, Display Action)
  • avoid using Actions with non-zero duration
  • use a webcam that natively outputs RGB24 format video
  • use a defragmented partition for the capture output file
  • when using non Real-Time compression, do not delete the temporary file
  • avoid the use of Sequence Action; use Move Action and Resize Action if possible)
  • minimize use of Doodle Action

For more information, see Graphics, Actions, Video Recording.


Graphics Cache

By using a caching mechanism for Graphic images, a given image file is loaded only once per Session, regardless of the number of Graphics that refer to it. This approach provides particularly good memory utilization for Sessions containing multiple copies of the same source image.

Regardless of how a Graphic is created, by loading a Session file, by using the Open command on the File pull-down menu, by using the New command on the Graphics Dialog, or by using the Paste command on the Edit pull-down menu, internal processing is always the same. The source file name assigned to the Graphic is compared with the file names of images previously loaded in the Session. The source file is only loaded into memory if there is no file name match. If there is a match, the previously loaded image is reused. This is particularly relevant for the Paste command, which always creates copies of the Graphics in the clipboard.

If you introduce a new Graphic using a file name where you've changed the actual file subsequent to its initial loading into a Session, the changes to the file will not be recognized by VideoMage Producer. In circumstances like this, you should reload the Session after the source file is changed.


Session File Format

When you save a session, an XML based file is created on disk. You can edit these Session description files manually using any text or XML editor.

Example Session File

Here is the content of the file that was created Session in Adding Graphics Example. By saving this text into a file, and changing the graphic element's src attribute to an image file located on your system, you can load and run the defined Session.

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<session version="1.0">
 <graphic id="LOGO" src="C:\My Documents\My Pictures\logo.png"/>
 <action type="Display" time="0:00:00.0" left="0" top="0" width="1" height="1" backgroundColor="0xFF800080" fit="meet" layout-x="center" layout-y="middle" alpha="100%">
  <img id="LOGO"/>
 </action>
 <action type="Display" time="0:00:01.5" left="0" top="0" width="1" height="1" backgroundColor="0x40800080" fit="meet" layout-x="center" layout-y="middle" alpha="100%">
  <img id="LOGO"/>
 </action>
 <action type="Resize" time="0:00:02.0" dur="0:00:01.0" width="-0.724" height="-0.807" edge-x="right" edge-y="bottom">
  <img id="LOGO"/>
 </action>
 <action type="Move" time="0:00:02.0" dur="0:00:01.0" right="0.7" bottom="0.78">
  <img id="LOGO"/>
 </action>
 <action type="Fade" time="0:00:05.0" dur="0:00:05.0" fade="to" alpha="1%">
  <img id="LOGO"/>
 </action>
 <action type="Fade" time="0:00:30.0" dur="0:00:05.0" fade="to" alpha="100%">
  <img id="LOGO"/>
 </action>
 <action type="Reset" time="0:00:40.0" stop="false" time-to="0:00:05.0"/>
</session>


Registry Settings

VideoMage Producer stores your preferences and setting in the System Registry. A listing of registry keys and values used is described below. Registry settings are subject to change between versions of VideoMage Producer.

Warning: Misusing the information provided here can easily result in VideoMage Producer operational failure or even a system failure. Make sure to back up the registry before you modify it. Make sure that you know how to restore the registry if a problem occurs. Use at your own risk.

The root key used by all keys and values described below is HKCU/Software/Hollix Communications/VideoMage Producer/Settings.

Values described as Boolean are stored as unsigned 32-bit values, a value of zero being false, and any other value (normally one) is true.

Application Subkey

The Application subkey stores most recently used operational values.

  • DeviceFrame

    Dimensions of most recently set video capture frame size (used to size Static Canvas). Stored as two 32-bit values: width, height.

  • DisplaySelect

    Boolean value indicating whether select markers should be displayed.

  • DoodleColour

    From the Tools Dialog, colour chosen for Doodle Actions, format is 32-bit ARGB.

  • DoodleWidth

    From the Tools Dialog, line width for Doodle Actions, 32-bit value ranging from 1 to 25.

  • Fade

    Fade type from the Tools Dialog; values from 0 to 2, corresponding to FadeTo, FadeInBy, FadeOutBy.

  • FadePercent

    Fade percentage from the Tools Dialog.

  • FadeTime

    Fade duration from the Tools Dialog.

  • HiLiteColour

    From the Tools Dialog, colour chosen for Highlight Actions, format is 32-bit ARGB.

  • HiLitePersist

    Boolean value indicating whether highlights created in HighLight Mode should be persistent.

  • HiLiteShape

    Shape used for highlights created in Highlight Mode; values from 0 to2, corresponding to Ellipse, Rectangle, Rounded-Rectangle.

  • Maximized

    Boolean value indicating that the VideoMage Producer Main Window was maximized when last used.

  • MediaFile

    Full path and file name of the most recently opened video source file.

  • NoWMVersionMsg

    Boolean value indicating whether an informational message should be displayed by the Compression Preferences dialog when the version of Windows Media compression installed on the computer is not supported.

  • OpenGraphic

    Full path and file name of most recently opened Graphic file.

  • RecordNow

    Boolean value indicating whether the the most recently opened video source file was opened with Start recording now option selected.

  • SessionFile

    Full path and file name of most recently opened or saved session file.

  • Snapshot

    Full path and file name of most recently saved snapshot image.

  • ToolsPos

    Position of the Tools Dialog when most recently opened, stored as two 32 bit values (left, top screen offsets).

  • WindowRect

    Dimensions of Main Window when last used, stored as a list of four 32 bit values (left, top, right, bottom screen offsets).

  • WipeRect

    Wipe percentages from the Tools Dialog, stored as a list of 32 bit values (left, top, right, bottom), each ranging from 0 to 100, with horizontal and vertical limits both 100 percent.

  • WipeTime

    Wipe duration from the Tools Dialog.

Compression Subkey

The Compression subkey stores values related to compression preferences. It contains two subkeys, Version1 and Version2, corresponding to non Windows Media format and Windows Media format respectively.

  • RealtimeCompression

    Boolean value indicating that real-time compression should be used if possible.

  • UseWM

    Boolean value indicating that Windows Media format (i.e. Version2) encoding should be used if possible.

  • Version1/Audio

    Name of the Audio Codec to be used for non Windows Media compression.

  • Version1/Video

    Name of the Video Codec to be used for non Windows Media compression.

  • Version2/Audio

    Name of the Audio Codec to be used for Windows Media compression.

  • Version2/AudioFormat

    Name of the Windows Media Audio Format to be used.

  • Version2/Bitrate

    Bitrate to be used for Windows Media Fine Tuning video compression, value in kilobit per second.

  • Version2/FineTune

    Boolean value indicating that Windows Media Fine Tuning compression should be used if available.

  • Version2/FPS

    Windows Media Fine Tuning frame rate to be used if OverrideCapFPS is True, value in frames per second.

  • Version2/OverrideCapFPS

    Boolean value indicating that the native frame rate of the video capture device should be overridden by the FPS value.

  • Version2/OverrideHeight

    Height of the recorded image if Force Output Size option selected.

  • Version2/OverrideWidth

    Width of the recorded image if Force Output Size option selected.

  • Version2/PeakBitrate

    Peak bitrate to be used for Windows Media Fine Tuning constrained VBR compression, value in kilobits per second.

  • Version2/SystemProfile

    A subkey containing the description of a system-defined profile that is used when the value of Version2/FineTune is False.

  • Version2/SystemProfile/Audio/Channels

    Number of audio channels.

  • Version2/SystemProfile/Audio/SampleRate

    Number of audio samples per second in a single channel.

  • Version2/SystemProfile/Bitrate

    Overall bitrate of the combined audio and video stream (in bits per second)

  • Version2/SystemProfile/Video/FPS

    Number of video frames per second.

  • Version2/SystemProfile/Video/Height

    The height, in pixels, of the video image to be generated by the video compression.

  • Version2/SystemProfile/Video/Width

    The width, in pixels, of the video image to be generated by the video compression.

  • Version2/UseOverrideSize

    Boolean value indicating that Fine Tuning compression should use Version2/OverrideWidth and Version2/OverrideHeight instead of the native source image size.

  • Version2/TwoPass

    Boolean value indicating that Two Pass encoding should be used by Windows Media Fine Tuning compression.

  • Version2/UsePeakBitrate

    Boolean value indicating that constrained VBR should be used for Windows Media Fine Tuning compression.

  • Version2/UseVBR

    Boolean value indicating that VBR should be used for Windows Media Fine Tuning compression. The type of VBR is determined by other settings

  • Version2/VBRQuality

    Specifies the VBR quality to be used for single pass Windows Media Fine Tuning compression, value ranges from 0 (lowest) to 100 (highest).

  • Version2/Video

    Name of the Video Codec to be used for Windows Media compression.

Devices Subkey

The Devices subkey stores values related to capture device preferences. It contains three subkeys, Audio, Video and TvTuner. The Video sub-key stores preferences for all video capture devices attached to your computer that have been used by VideoMage Producer.

  • Audio/Default

    The name of the audio capture device to be used.

  • TvTuner/Antenna/AvailMap

    A sequence of bytes where a value of one includes the channel as a favorite over-the-air channel, and a zero excludes it. The first byte corresponds to channel index 1. Some channels may not be available for particular country and tuning space combinations.

  • TvTuner/Antenna/nnn/Desc

    A character string over-riding the default description for the over-the-air channel whose index is the interger value nnn. Maximum length is 64 characters.

  • TvTuner/Antenna/nnn/Name

    A character string over-riding the default name for the over-the-air channel whose index is the interger value nnn. Maximum length is six characters. Used for channel selection.

  • TvTuner/Cable/AvailMap

    A sequence of bytes where a value of one includes the channel as a favorite cable channel, and a zero excludes it. The first byte corresponds to channel index 1. Some channels may not be available for particular country and tuning space combinations.

  • TvTuner/Cable/nnn/Desc

    A character string over-riding the default description for the cable channel whose index is the interger value nnn. Maximum length is 64 characters.

  • TvTuner/Cable/nnn/Name

    A character string over-riding the default name for the cable channel whose index is the interger value nnn. Maximum length is six characters. Used for channel selection.

  • TvTuner/Country

    Name of the country whose channel ranges and frequencies will be used. Also determines the analog video standard and the Windows tuning space (unless over-ridden).

  • TvTuner/Input

    Integer value indicating whether tuner input is from a Cable signal (value zero), or from an Antenna signal (value one).

  • TvTuner/Space

    Integer value of the Windows channel tuning space to be used. Present only if the default for TvTuner/Country is over-ridden.

  • TvTuner/Standard

    Integer representation of the analog video standard to be used by the tuner. Present only if the default for TvTuner/Country is over-ridden.

  • Video/Default

    Unique label of the default Video capture device. This label is used as a subkey where device specific configuration information is stored. VideoMage Producer uses numeric value strings for these labels.

  • Video/VIDEODEV/Identifier

    The name of the video capture device to be whose unique label is VIDEODEV.

  • Video/VIDEODEV/Input

    The name of the input to be used on device VIDEODEV. Present only for multiple input video capure devices.

  • Video/VIDEODEV/Media/Format

    Proprietary configuration data for device VIDEODEV.

  • Video/VIDEODEV/Media/Type

    Proprietary configuration data for device VIDEODEV.

  • Video/VIDEODEV/DV/ReduceFrameRate

    Boolean value indicating that every second video frame generated by the DV device VIDEODEV should be discarded (to improve performance).

  • Video/VIDEODEV/DV/Resolution

    Indicates the frame size reduction, if any; values range from 1000 to 1002, corresponding to full, half size, and quarter size for DV device VIDEODEV.

  • Video/VIDEODEV/TvControl/AudioMode

    Audio Mode flags for device VIDEODEV when operating as a TV tuner. Bit 0 set is mono audio, bit 1 set is stereo audio, bit 6 set is SAP.

  • Video/VIDEODEV/TvControl/Channel

    Channel index of the last channel viewed on device VIDEODEV when operating as a TV tuner.

  • Video/VIDEODEV/TvControl/Previous

    Channel index of the second to last channel viewed on device VIDEODEV when operating as a TV tuner. Used when clicking Previous in the TV Control dialog.

User Subkey

The User subkey stores non-compression preferences set from the Preferences Dialog Window. It contains five subkeys corresponding to Preferences Dialog tabs: Actions, Application, Canvas, Capture, and Editor.

  • Actions/FillColour

    Default background fill colour used for new Display Actions, in 32-bit ARGB format.

  • Actions/HLayout

    Default horizontal layout used for new Display Actions; values from 0 to 2, corresponding to left, center, right.

  • Actions/RegionFit

    Default region fit used for new Display Actions; values from 0 to 3, corresponding to Stretch to Fill, Stretch to Max, Source Size, Clip at Max.

  • Actions/Reset

    Boolean value indicating whether a new Reset Action should stop the Session.

  • Actions/VLayout

    Default vertical layout used for new Display Actions; values from 0 to 2, corresponding to top, middle, botton.

  • Application/AutoEvent

    Boolean value indicating that a notification should be issued when an Action is created or altered automatically (to remove selected Graphics from an executing scheduled Action).

  • Application/AutoSave

    Boolean value indicating that the Session should be auto-saved.

  • Application/ConnectOnLoad

    Boolean value indicating preference for Video Canvas on startup (connect to video capture device)

  • Application/OmitNullActionsOnSave

    Boolean value indicating that Actions with no included Graphics will not be included in saved Session files.

  • Application/Reset

    Boolean value indicating that a notification should be issued when a Reset Action is executed.

  • Application/RunOnLoad

    Boolean value indicating that the Session should begin running as soon as VideoMage Producer is loaded.

  • Application/SessionSpeed

    Boolean value indicating that a notification should be issued when the Session speed is changed.

  • Application/StartupTools

    Boolean value indicating that the Tools Dialog should be displayed on start up.

  • Canvas/CanvasBkgdColour

    Background colour to be used for Static Canvas editing, value is 32-bit ARGB (alpha not used).

  • Canvas/DisplayGrid

    Boolean value indicating that Grid lines should be displayed on Static Canvas.

  • Canvas/GridColour

    Colour to be used for Grid lines, value is 32-bit ARGB (alpha not used).

  • Canvas/GridSpacing

    Spacing of Grid lines (in pixels), value ranges from 10 to 50.

  • Canvas/StaticCanvasRatio

    Boolean value which, when set, forces Static Canvas dimensions to use proportions of video capture device frame.

  • Canvas/VideoCanvasSizeType

    Video Canvas size type; values from 0 to 2, corresponding to Fill Window, Source Size, Source Proportion.

  • Capture/CapTmpFile

    Full path and file name to be used as the temporary file during the first stage of non real-time compression.

  • Capture/CaptureFile

    Full path and file name to be used for video capture recording. If CaptureOverwrite is False, the file name will have an integer value appended to create a unique file name.

  • Capture/CaptureOverwrite

    Boolean value indicating that CaptureFile should be overwritten for video capture recording.

  • Capture/DeleteTmpFile

    Boolean value indicating that CapTmpFile should be deleted after capture is completed (performance may be improved by reusing a preallocated file).

  • Capture/TrackFileSize

    Boolean value indicating that the size of a capture file should be tracked as recording progresses.

  • Editor/DisplayAbsolute

    Boolean value indicating that the Status Bar should display mouse position in the Canvas in pixel units.

  • Editor/GraphicRecordLock

    Boolean value indicating that when recording is started, the session will automatically start running.

  • Editor/ScaleGraphicOnResize

    Boolean value indicating that Graphics should retain their relative size when the Canvas is resized.

  • Editor/SnapTo

    Boolean value indicating that mouse-based sizing and positioning should be adjusted to the SnapToSpacing.

  • Editor/SnapToSpacing

    Snap-to grid spacing (in pixels), value ranges from 2 to 50.

  • Editor/UndoLevels

    Maximum number of undo levels (memory permitting), value ranges from 0 to 100.


Hot-key Keyboard Shortcuts

You can quickly invoke selected commands using the following hot-key combinations:

Ctrl+A | Select All Graphics
Ctrl+B | Session Restart
Ctrl+C | Copy Selected Graphics
Ctrl+D | Doodle Mode toggle
Ctrl+E | Actions Dialog
Ctrl+F | New Capture File
Ctrl+G | Open Graphic File
Ctrl+H | Highlight Mode toggle
Ctrl+M | Open Media File
Ctrl+N | New Session
Ctrl+O | Open Session File
Ctrl+P | Pause Recording
Ctrl+Q | Stop Session
Ctrl+R | Run Session
Ctrl+S | Save Session
Ctrl+T | Tools Dialog
Ctrl+V | Paste Graphics
Ctrl+W | Review Recording
Ctrl+X | Cut Selected Graphics
Ctrl+Y | Redo Change
Ctrl+Z | Undo Change
DEL | Erase Selected Graphics
Ctrl+Shift+Down | TV Channel Down
Ctrl+Shift+Up | TV Channel Up
Alt+? | About VideoMage Producer
Alt+Enter | Enter/Exit Full Screen
Alt+Up | Fade In Selected Graphics
Alt+Down | Fade Out Selected Graphics
F1 | Help Topics
F5 | Recording Start
F6 | Recording Stop
Ctrl+Shift+B | Rewind
Ctrl+Shift+F | Fast Forward
Ctrl+Shift+P | Playback File/DV tape
Ctrl+Shift+S | Stop Playback
Ctrl+Shift+Z | Pause Playback

In addition, you can undo the current mouse-based action by hitting the ESC key before releasing the mouse button.


Limitations

Sessions

  • In order to prevent conflict with explicit user Actions, prerecorded Actions cannot access selected graphics. When a prerecorded Action is executed, it automatically removes any selected graphics from its inclusion list.
  • Selected Graphics are removed from scheduled Actions when they execute. These changes are not reflected in the session change status.
  • If you select a Graphic that is in the process of changing due to the execution of an Action with a non-zero duration, the change will be halted and a Display Action automatically created.
  • The use of Undo and Redo change commands has no effect on the session change status. That is, if you make a change to a session causing its session change status to be set to changed, undoing the change will not reset the session change status.
  • If you make changes to a Display Action from the Graphics dialog, you won't be prompted if you switch to a different Display Action or create a new one prior to Applying the changes (it will be lost).
  • You cannot use the Actions dialog to change the "subevents" that are associated with certain Action types. Subevents are created by real-time action (mouse movements): see Doodle Action, Highlight Action, and Sequence Action).

Recording

  • Windows Media compression cannot be used unless Windows Media Player version 9.0 or later has been installed.
  • A momentary pause may appear in the capture file where recording has been paused (due to unsynchronized Audio and Video streams).
  • Recording Pause and Resume may not work in all environments. You should ensure it works suitably before depending on it in your environment.
  • When using Fine Tuning for Windows Media encoding, audio can be compressed using CBR only (VBR is not available).
  • By default, when using Fine Tuning for Windows Media encoding, the compressed video frame size is the same as provided by the video capture device.
  • Recording cannot be paused if the video source is a pre-recorded file.

Graphics

  • Regardless of when it is initially displayed, an animated GIF image always time its animation as if its initial frame were displayed at session start time (zero).
  • Animated GIF images do not animate with opacity set to less than 100% (Fade Actions).
  • Depending on video codec settings, excessive detail may be lost on graphics. After a session has been created, you should perform a preliminary capture test to ensure adequate results.

File Playback

  • If an input file uses an unknown or unsupported compression format, VideoMage Producer is unable to use the file for the Video Canvas.
  • Playback of files protected by Digital Right Management (DRM) is not supported in this version.
  • Full Screen mode is not available when playback of a file is paused.

TV Tuner

  • If you use more than one TV capture device, the settings you specify for TV Tuner Preferences and TV Channel Preferences will be applied to all.

Miscellaneous

  • If VideoMage Producer fails to pause the recording on entry to the Actions or Graphics dialog windows, recording will be stopped instead (you are given an opportunity to continue recording).
  • Full Screen mode does not support multiple monitors. On multiple monitor systems, the full VideoMage Producer window must be located on a single monitor before entering Full Screen mode.


Known Bugs

  • When a failure occurs during activation of the Video Canvas for editing or recording, the A/V subsystem may be left in an unstable state.

    For example, when attempting to connect to a video device whose driver doesn't fully support DirectShow, the error message "A/V subsystem error." will be displayed. Subsequently selecting a DirectShow compatible device results in another failure, with the message "Failed to connect to the Video Capture Device."

    This problem can be addressed by restarting VideoMage Producer after the first error message is displayed.

  • When using the mouse to resize multiple Graphics simultaneously, a small Graphic can be reduced to no smaller than a single pixel in width (or height), even while initially large Graphics continue to be reduced. If, during the same resizing Action, the selected Graphics are subsequently increased in size, the Graphic reduced to a single pixel begins increasing in size immediately. As a result, its overall change in size will be greater than those Graphics that were not reduced to a single pixel.

    In such a case, using the ESC key to cancel the resizing before the mouse button is released does not return the small Graphic to the correct size. Instead of using ESC, complete the Action normally, then use Undo to remove its effect.

  • VideoMage Producer resizes the Video Canvas to accommodate the full frame size of the video received from the video capture device. If the resulting window size exceeds the maximum size available on the Windows desktop, the Video Canvas will display incorrectly.

    In such a case, you should chose a smaller frame size from your video camera, or increase the resolution of the Windows desktop.

  • When using Undo and Redo commands, the cursor's shape isn't updated to reflect changes in the selection state of Graphics immediately beneath it.

  • If a device is added or removed while the Device Preferences is displayed, the list of available devices isn't updated. To update the list, exit then re-enter the Preferences dialog

  • With certain TV tuner devices, VideoMage Producer may report an error changing to channels with weak signals even though the channel was successfully displayed.

  • Scrolling the channel list in the TV Channel Preferences by clicking in the empty space on the vertical scroll bar, or by clicking on the up or the down arrow will corrupt the list's grid lines. This is cosmetic only. Scrolling by dragging the slider avoids this problem.


Feature Requests and Bug Reports

The procedure for reporting bugs and requesting new features is very similar. In both cases, we ask you to send an email, written in English, to support@hollix.com. The Subject line of your email must begin with "Feature Request" or "Bug Report" as the case may be. Emails with any other subject line are ignored.

Indicate in your email whether you are willing, if necessary, to provide additional information via email. If you don't indicate willingness, we will not contact you concerning your request or report.

If you registered your installation of VideoMage Producer (as described in Running VideoMage Producer), your request will receive prioritized consideration. Your email should clearly identify the name you used for registration, and the License Code that you were assigned as part of the registration process (available using the Registration command on the Help pull-down menu).

If you decided against registration, you always have the opportunity to register by selecting the Registration command on the Help pull-down menu.

Feature Requests

Prior to requesting a new feature, you should verify whether a newer version of VideoMage Producer has been released that already provides the feature you want.

Provide a detailed description of the functionality you want. Use of illustrative figures is helpful.

Bug Reports

If you've uncovered a bug, we want to fix it. Before telling us about it, you should check the Known Bugs and Limitations to see if the problem you've found is already known.

When filing a bug report, please provide as much information as possible. At a minimum you should tell us:

  • which version of VideoMage Producer you're using (from About VideoMage Producer on the Help pull-down menu)
  • what happened and you were trying to accomplish
  • which command (and parameters) resulted in the failure
  • whether the failure has occurred more than once
If there is one, attach the relevant Session file to your email.